2012-02-21 23:49  fxjr

	* RELEASENOTES.txt:
	  Added release notes for 2.0.12 beta3 (2.0.11.93)

2012-02-21 23:21  jbcooley

	* src/policyFileBuild.bat: adding helper script for building policy
	  dll.

2012-02-02 11:46  fxjr

	* src/Npgsql/NpgsqlProviderManifest.cs:
	  Applied patch #1011157. Fixes bug #1011102 -
	  DateTimeOffset/TimeSpan mapping problem on EF 4.1, .NET 4, using
	  code first.  Thanks Mirko Geffken for patch.

2012-01-12 16:44  fxjr

	* src/: Npgsql/Cache.cs, Npgsql/NpgsqlCommand.cs,
	  Npgsql/NpgsqlCommandBuilder.cs, Npgsql/NpgsqlConnector.cs,
	  Npgsql/NpgsqlConnectorPool.cs, Npgsql/NpgsqlState.cs,
	  Npgsql/PGUtil.cs, NpgsqlTypes/BitString.cs:
	  Applied Gildas Prime patch with Gendarme report corrections:

	  Avoid concatenating chars rule ( i.e Unneeded boxing) A recursive
	  method was found (Method remove in NpgsqlParameterCollection)
	  Disposable fields should be disposed Do not lock on this  (
	  lock(this) makes very difficult to ensure that the locking is
	  done correctly.) Ensure that local variables are disposed
	  surrounding them by using()

2012-01-10 01:14  fxjr

	* src/Npgsql/NpgsqlConnectorPool.cs:
	  Fixed tabulation.

2012-01-09 12:48  fxjr

	* src/Npgsql/NpgsqlConnectorPool.cs:
	  Fix [#1011138] Connection pooling performance suffers under heavy
	  load.  Rewritten connector pool logic in order to keep lock for
	  much less time and also with a higher granularity.  Thanks Andrew
	  for heads up.

2011-12-22 13:08  fxjr

	* testsuite/noninteractive/NUnit20/TypesTests.cs:
	  Fixed line endings.

2011-12-17 00:42  fxjr

	* src/Npgsql/NpgsqlConnectionStringBuilder.cs:
	  Fixed line endings.

2011-12-17 00:36  fxjr

	* src/NpgsqlTypes/: DateDatatypes.cs, NpgsqlTypesHelper.cs:
	  Fixed bug [#1011101] LINQ to entities timestamptz does not accept
	  DateTimeOffset or DateTime. Thanks Misha Sugakov for patch and
	  testing.

2011-12-17 00:01  fxjr

	* testsuite/noninteractive/NUnit20/NpgsqlParameterTests.cs:
	  Added testcase for bug #1011100

2011-12-17 00:00  fxjr

	* testsuite/noninteractive/NUnit20/TypesTests.cs:
	  Fixed line endings.

2011-12-16 23:58  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Fixed a test which were leaking a datareader open.

	  Added bug tests

	  Added initial massive datatype testcase.

2011-12-13 17:42  fxjr

	* src/Npgsql/NpgsqlClosedState.cs:
	  Fixed line endings.

2011-12-12 14:27  fxjr

	* src/Npgsql/PGUtil.cs:
	  Fixed line endings.

2011-12-09 19:29  fxjr

	* src/Npgsql/NpgsqlParameter.cs:
	  Fix [#1011100] NpgsqlParameter and DBNull Value. Now
	  NpgsqlParameter changes the dbtype accordingly to the value
	  assigned to it unless the dbtype has been assigned explicitly.

2011-12-09 19:14  fxjr

	* src/Npgsql/NpgsqlConnectorPool.cs:
	  Fixed line endings.

2011-12-09 19:13  fxjr

	* src/Npgsql/NpgsqlConnector.cs:
	  Removed NpgsqlConnector finalizer call. Now connection close
	  handling in the worst case is done by the NpgsqlNetworkStream
	  which takes care of sending the proper Postgresql message when
	  disposing the underlying socket.

2011-12-05 00:00  fxjr

	* src/Npgsql/NpgsqlClosedState.cs:
	  Fixed "LOG: unexpected EOF on client connection" messages
	  appearing in postgresql log. See
	  http://fxjr.blogspot.com/2011/12/fixed-log-unexpected-eof-on-client.html
	  for more information.

2011-11-30 12:19  fxjr

	* src/Npgsql.build:
	  Removed assembly info creation from build process. There are now
	  some options in the assemblyinfo which I couldn't create yet. For
	  while, it is hardcoded again.

2011-11-29 01:35  fxjr

	* src/Npgsql/NpgsqlConnectorPool.cs:
	  Normalized line endings...

2011-11-29 01:25  fxjr

	* src/Npgsql/NpgsqlConnector.cs:
	  Normalized line endings....

2011-11-21 00:44  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Fixed Bug1010788UpdateRowSource testcase.

2011-11-21 00:04  fxjr

	* src/Npgsql/NpgsqlCommandBuilder.cs:
	  Fixed some encoding problems detected by Monodevelop.

2011-11-19 02:11  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Removed erroneous line added by mistake.  Fixed warning with
	  NpgsqlParameters.Add method. Used AddWithValue.

2011-11-19 01:43  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Fixed problem with file encoding.

2011-11-19 01:03  fxjr

	* src/Npgsql/NpgsqlConnector.cs,
	  src/NpgsqlTypes/NpgsqlTypeConverters.cs,
	  src/NpgsqlTypes/NpgsqlTypesHelper.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Fix: [#1010992] System.Double to DOUBLE PRECISION conversion bug.
	  Thanks Udo Liess for excellent report, test case and fix.

2011-09-28 22:55  fxjr

	* RELEASENOTES.txt:
	  Updated release notes for beta 2 release.

2011-09-28 22:33  jbcooley

	* ChangeLog: Updated for build 2.0.11.92

2011-09-28 22:26  jbcooley

	* src/Npgsql/AssemblyInfo.cs: Updated for build 2.0.11.92

2011-09-28 22:21  jbcooley

	* src/policy.2.0.Npgsql.config: Updated for build 2.0.11.92

2011-09-25 13:48  jbcooley

	* testsuite/noninteractive/NUnit20/: App.config,
	  NpgsqlTests2010.csproj, xmlModel/XmlTest.ObjectLayer.cs,
	  xmlModel/XmlTest.Views.cs, xmlModel/XmlTest.csdl,
	  xmlModel/XmlTest.msl, xmlModel/XmlTest.ssdl: Added XmlTest entity
	  model

2011-07-11 10:33  fxjr

	* src/Npgsql/: NpgsqlConnection.cs, NpgsqlSchema.cs:
	  Added patch from Patrick Earl. Thanks, Patrick!
	  http://pgfoundry.org/forum/message.php?msg_id=1014749

	  This was implemented to support more of the NHibernate test
	  suite. Here is what it does and does not do:

	  1. It adds support for the "ForeignKeys" collection that uses
	  almost the same format that SqlConnection Server does. The only
	  difference is the deferrable bool columns are actually bools
	  instead of strings.

	  2. It fixes the restrictions for index and index column schema
	  retrieval.

	  3. It does not change the index column code to provide the
	  capability of getting the foreign key columns (assuming it
	  doesn't do it already). I didn't have a failing test depending on
	  this, so I didn't check or implement anything here.

	  http://patearl.net/files/Npgsql2.patch

2011-07-05 13:05  fxjr

	* src/Npgsql/NpgsqlDataReader.cs,
	  testsuite/noninteractive/NUnit20/DataReaderTests.cs:
	  [#1011044]. Fixed missing NpgsqlDataReader.GetTimeSpan() method.
	  Added unit test case to cover this method.

2011-06-15 13:23  fxjr

	* src/Npgsql/: NpgsqlConnection.cs,
	  NpgsqlConnectionStringBuilder.cs, NpgsqlConnector.cs:
	  Fixed problem with last update about Password as byte[]. Reverted
	  type of Password property of NpgsqlConnectionStringBuilder to
	  String again. It was changed from String to byte[] which was
	  causing problems with previous client code. There is a new
	  property called PasswordAsByteArray for those willing to use the
	  byte[] property. Thanks Dan Shoubridge for heads up.

2011-04-27 10:10  fxjr

	* src/Npgsql/: NpgsqlConnection.cs, NpgsqlSchema.cs:
	  New: [#1011021] Support DbMetaDataCollectionNames.ReservedWords.
	  Thanks Patrick Earl for patch.

2011-04-24 23:29  fxjr

	* src/NpgsqlTypes/NpgsqlTypesHelper.cs,
	  testsuite/noninteractive/NUnit20/TypesTests.cs:
	  [ npgsql-Bugs-1011018 ] Invalid Cast with DbType.Time Parameter.
	  Thanks Patrick Earl for patch.  Also added test case to reproduce
	  the problem.

2011-04-06 23:15  fxjr

	* src/Npgsql/: NpgsqlConnectionStringBuilder.cs,
	  NpgsqlConnector.cs:
	  [#1010977] Add application_name support to connection string.
	  Thanks Chris Coleman for patch.

2011-04-06 22:48  fxjr

	* src/NpgsqlTypes/NpgsqlDbType.cs,
	  src/NpgsqlTypes/NpgsqlTypeConverters.cs,
	  src/NpgsqlTypes/NpgsqlTypes.cs,
	  src/NpgsqlTypes/NpgsqlTypesHelper.cs,
	  testsuite/noninteractive/NUnit20/TypesTests.cs:
	  [#1011008] Add PhysicalAddress (MAC Address) support to Npgsql.
	  Thanks Gildas for patche and test case.

2011-04-05 11:13  fxjr

	* src/NpgsqlTypes/NpgsqlTypeConverters.cs:
	  [npgsql-Patches-1011012 ] Australian Date and Time Formats.
	  Thanks Hans Peter for patch.

2011-03-24 22:52  fxjr

	* RELEASENOTES.txt:
	  Updated release notes for beta1 release of Npgsql 2.0.12
	  (2.0.11.91)

2011-03-24 22:50  jbcooley

	* src/policy.2.0.Npgsql.config: updated for 2.0.11.91 beta release

2011-03-24 22:33  jbcooley

	* ChangeLog: updated change log.

2011-03-24 22:23  jbcooley

	* src/Npgsql/NpgsqlConnectorPool.cs: Changed from HashSet to
	  Dictionary so we can build a .NET 2.0 profile version.

2011-03-24 21:55  fxjr

	* src/Npgsql/AssemblyInfo.cs:
	  Changed assembly version info to indicate a beta1 version of
	  2.0.12 (2.0.11.91) Added a fix to
	  AllowPartiallyTrustedCallersAttribute when using .net 4.0
	  framework. See
	  http://weblogs.asp.net/peterblum/archive/2009/11/06/typeloadexception-based-on-security-transparent-code-level-2.aspx
	  for more information.

2011-03-24 21:22  fxjr

	* src/Npgsql/AssemblyInfo.cs:
	  Updated copyright year

2011-03-24 21:15  jbcooley

	* src/: Npgsql.csproj, Npgsql.sln: Removed 2005 project and
	  solution as no longer supported

2011-03-14 22:25  fxjr

	* src/Npgsql/NpgsqlConnectorPool.cs:
	  [#1010997] Consider using System.Threading.Timer instead of
	  System.Timers.Timer Thanks Alex A Ermoshenko for feedback, patch
	  and tests.

2011-03-14 22:06  fxjr

	* src/Npgsql/: NpgsqlConnector.cs, NpgsqlState.cs:
	  [#1010986] Endless recursion on hanging connection in
	  ProcessBackendResponsesEnum. Thanks Gildas for feedback and
	  tests.

	  Also added a better check in NpgsqlConnector.IsValid(). Now it
	  generates a random number and checks the select return value to
	  see if everything is ok. Should fix problems where Npgsql was
	  returning connectors in wrong state.

2011-03-08 12:50  fxjr

	* src/Npgsql/: NpgsqlConnection.cs,
	  NpgsqlConnectionStringBuilder.cs, NpgsqlConnector.cs,
	  NpgsqlPasswordPacket.cs, NpgsqlStartupState.cs, NpgsqlState.cs,
	  PGUtil.cs, SSPIHandler.cs:
	  Fixed problems with SSPI authentication when the password had
	  some non ascii characteres.  Also, Npgsql supports to
	  authenticate with an user name other than the current logged one.
	  Thanks Ahmed Shinwari for tests and patch.  See
	  http://postgresql.1045698.n5.nabble.com/quot-could-not-accept-SSPI-security-context-quot-td3275102.html
	  and
	  http://lists.pgfoundry.org/pipermail/npgsql-devel/2011-February/001116.html
	  for more info.

2011-03-01 21:08  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Added patches for connection leaks in tests. Thanks David Leaer.

	  Added test for double value support.

2011-03-01 18:09  fxjr

	* src/Npgsql/NpgsqlConnectorPool.cs:
	  In Multi-threaded applications there is a race condition that can
	  occur which will result in a broken connection being re-added to
	  the pool. Thanks David Leaver for patches.

	  More information here:
	  http://pgfoundry.org/forum/forum.php?thread_id=10067&forum_id=519

2011-02-21 22:30  fxjr

	* src/Npgsql/NpgsqlConnector.cs:
	  NpgsqlConnector.CancelRequest leaks Connector.
	  NpgsqlConnector.CancelRequest creates a connector to cancel the
	  running request, but does not close it. More info at:
	  http://pgfoundry.org/forum/forum.php?thread_id=10059&forum_id=519
	  Thanks David Leaver for patch.

2011-02-21 22:17  fxjr

	* src/Npgsql/NpgsqlReadyState.cs:
	  Exception when closing connection. If your connection is in the
	  Ready state and the stream is actually broken
	  NpgsqlReadyState.Close will throw an exception when trying to
	  write to the stream. More info can be found at:
	  http://pgfoundry.org/forum/forum.php?thread_id=10066&forum_id=519
	  Thanks David Leaver for the patch.

2011-02-06 19:06  fxjr

	* src/Npgsql/NpgsqlConnectionStringBuilder.cs:
	  Forget to add mail reference for last commit:
	  http://lists.pgfoundry.org/pipermail/npgsql-devel/2011-February/001117.html

2011-02-06 19:00  fxjr

	* src/Npgsql/NpgsqlConnectionStringBuilder.cs:
	  Added performance patch to GetKeyName method. Thanks Dan Smith
	  for patch.

2011-01-28 17:04  fxjr

	* src/Npgsql/NpgsqlCommandBuilder.cs:
	  [#1010973] specified cast is invalid - datetime fields. In order
	  to fix this bug I had to disable some code in
	  NpgsqlCommandBuilder. Watch out for possible side effects.

	  Also changed Get***Command to reuse the version which takes a
	  parameter.

2010-12-16 10:34  fxjr

	* src/: Npgsql.build, Npgsql/AssemblyInfo.cs:
	  Fixed: [#1010951] AllowPartiallyTrustedCallers for npgsql
	  assemblies.  Updated AssemblyInfo.cs to include the fix above and
	  to update assembly version.

2010-11-05 22:42  fxjr

	* ChangeLog:
	  Updated changelog to 2.0.11 release

2010-11-05 22:33  fxjr

	* RELEASENOTES.txt:
	  Updated release notes for 2.0.11 release.

2010-11-05 22:26  fxjr

	* src/Npgsql/AssemblyInfo.cs:
	  Updated AssemblyInfo for 2.0.11.0 release.

2010-11-05 22:25  jbcooley

	* src/policy.2.0.Npgsql.config: Updating for new release

2010-10-24 17:32  fxjr

	* src/NpgsqlTypes/NpgsqlTypeConverters.cs:
	  [#1010921] Data corrupted transferring bytea data from PostgreSQL
	  9 server. Thanks Mathieu Fenniak for patch. See
	  http://pgfoundry.org/pipermail/npgsql-devel/2010-January/001057.html

2010-10-18 00:47  jbcooley

	* src/Npgsql/: NpgsqlConnection.cs, NpgsqlMetaData.xml,
	  NpgsqlSchema.cs: Bug #1010650 - support metadata for indexes.

2010-08-18 00:19  fxjr

	* src/NpgsqlTypes/: NpgsqlTypes.cs, NpgsqlTypesHelper.cs:
	  Added fix to return CLR type when working with NpgsqlInet and
	  IPAddress types in NpgsqlDataReader.GetValue(). See
	  http://pgfoundry.org/forum/message.php?msg_id=1006360 for more
	  info about that.  Also, changed implicit operator to explicit
	  operator because it throws exceptiomn. Documentation says
	  implicit operators shouldn't throw exceptions.

2010-08-08 23:22  jbcooley

	* src/Npgsql/SqlGenerators/: SqlBaseGenerator.cs,
	  VisitedExpression.cs: Fixes for SQL generation bugs reported in
	  #1010863 and #1010860

2010-08-01 17:52  fxjr

	* ChangeLog:
	  Updated Changelog to 2.0.10 release.

2010-08-01 17:47  fxjr

	* RELEASENOTES.txt:
	  Added release notes for 2.0.10 release.

2010-08-01 17:41  jbcooley

	* src/policy.2.0.Npgsql.config: target policy file for redirect to
	  2.0.10.

2010-08-01 17:41  jbcooley

	* src/Npgsql2010.csproj: Added NET40 define so the .NET 4.0 code
	  gets compiled in.

2010-08-01 17:24  fxjr

	* src/Npgsql/AssemblyInfo.cs:
	  Updated AssemblyInfo generated info for 2.0.10.0

2010-07-18 20:51  fxjr

	* src/NpgsqlTypes/NpgsqlTypesHelper.cs:
	  Added UInt16 type mapping.

2010-07-10 00:42  fxjr

	* src/Npgsql/NpgsqlParameter.cs:
	  Fixed more bugs about ResetDbType() and null values. Now, Npgsql
	  is a little bit more conformant to sqlclient.

2010-07-10 00:17  fxjr

	* src/Npgsql/NpgsqlParameter.cs:
	  Fixed bug where Npgsql was returning DBNull for a fresh
	  NpgsqlParameter. According to tests based on sqlclient, Npgsql
	  should return null.

2010-07-10 00:01  jbcooley

	* testsuite/noninteractive/NUnit20/NpgsqlParameterTests.cs: Fix an
	  additional broken tests

2010-07-09 23:52  jbcooley

	* testsuite/noninteractive/NUnit20/NpgsqlParameterTests.cs: Fix
	  some of the broken tests

2010-07-09 23:47  jbcooley

	* testsuite/noninteractive/NUnit20/NpgsqlParameterTests.cs: Ported
	  more tests.  Test validation still needs to be done.

2010-07-09 23:13  jbcooley

	* testsuite/noninteractive/NUnit20/: NpgsqlParameterTests.cs,
	  NpgsqlTests2008.csproj, NpgsqlTests2010.csproj: Update and
	  include tests for NpgsqlValue in NpgsqlParameter

2010-07-09 22:46  jbcooley

	* src/NpgsqlTypes/NpgsqlTypesHelper.cs: Fix build for .NET 2.0

2010-07-09 22:34  fxjr

	* src/: Npgsql/NpgsqlParameter.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs:
	  [#1010798] Cast-Exception with NpgsqlTimeStamp to
	  System.DateTime. Fixed.  Also fixed another problem where Npgsql
	  was mapping DbType.DateTime to NpgsqlDbType.TimestampTZ.

2010-06-24 22:38  jbcooley

	* src/: Npgsql/NpgsqlCommand.cs, Npgsql/NpgsqlDataReader.cs,
	  Npgsql/NpgsqlProviderManifest.Manifest.xml,
	  Npgsql/NpgsqlProviderManifest.cs,
	  Npgsql/SqlGenerators/SqlBaseGenerator.cs,
	  Npgsql/SqlGenerators/SqlSelectGenerator.cs,
	  Npgsql/SqlGenerators/VisitedExpression.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs: Support for Time types and
	  DateTimeOffset types in Entity Framework

2010-06-24 22:27  jbcooley

	* src/Npgsql/NpgsqlDataAdapter.cs: changes to be compatible with
	  various versions of mono's implementation of DbDataAdapter.

2010-06-24 02:00  fxjr

	* src/NpgsqlTypes/ArrayHandling.cs,
	  src/NpgsqlTypes/NpgsqlTypeConverters.cs,
	  src/NpgsqlTypes/NpgsqlTypesHelper.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  [#1010787] Inserting an array does not work in a prepared
	  statement. Fixed. Changed delegator definition responsible to
	  handle conversion from CLR type to server to take a
	  ForExtendedQuery parameter so the function can handle correctly
	  when to return a plain query representation or when return a
	  representation used for extended query. Until now, the types were
	  simple and representation was the same. This changes with array
	  handling where the representation is different for each case.
	  Added testcase too. More testcases needed.

2010-06-16 22:50  jbcooley

	* src/Npgsql/NpgsqlCommand.cs: Cleanup extra lines and newline
	  format.

2010-06-13 17:09  fxjr

	* src/Npgsql/NpgsqlCommand.cs:

	  [#1010776] for a prepared command, ExecuteNonQuery() does not
	  return. Npgsql wasn't handling correctly errors while in extended
	  query processing. Now it returned correctly and throws
	  exceptions.

2010-05-31 23:02  jbcooley

	* src/Npgsql/NpgsqlCommand.cs: cleaned up UpdatedRowSource code and
	  added value validation rather than type validation.

2010-05-31 22:59  jbcooley

	* src/Npgsql/NpgsqlSchema.ssdl: provide default value during model
	  generation

2010-05-31 21:30  jbcooley

	* src/NpgsqlTypes/ArrayHandling.cs: support null items in arrays

2010-05-31 21:27  jbcooley

	* src/Npgsql/NpgsqlCommandBuilder.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs: bug #1010825 -
	  support derive parameters for parameterless functions

2010-05-31 18:27  jbcooley

	* testsuite/noninteractive/NUnit20/DataAdapterTests.cs: bug
	  #1010768 - test for Mono regression

2010-05-31 18:00  jbcooley

	* src/Npgsql/NpgsqlRow.cs,
	  testsuite/noninteractive/NUnit20/DataReaderTests.cs: bug #1010829
	  - Fix support for CommandBehavior.SequentialAccess with multiple
	  columns.

2010-05-30 11:28  jbcooley

	* src/Npgsql/SqlGenerators/: SqlBaseGenerator.cs,
	  VisitedExpression.cs: Fix multi-level join generated sql

2010-05-29 12:36  jbcooley

	* testsuite/noninteractive/NUnit20/NpgsqlParameterTests.cs: Mono
	  unit tests for SqlClient partially ported to Npgsql.

2010-05-23 15:13  fxjr

	* src/Npgsql/PGUtil.cs:
	  Reverted back previous optimization with Int32 and Int16
	  readbuffers. They were having concurrency problems. Thanks
	  Matthew Gabeler-Lee for heads up and testing.

2010-05-14 11:18  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Added missing tests for bug 1010788 and array handling of
	  doubles. Prepared statements with array of doubles still hang.
	  Needs fixing.

2010-05-10 22:42  fxjr

	* src/NpgsqlTypes/DateDatatypes.cs:
	  Changed line endings to Windows Format.

2010-05-09 20:53  fxjr

	* src/NpgsqlTypes/BitString.cs:
	  [#1010804] Endless loop in BitString? Thanks Gildas for testing
	  and fix.

2010-05-02 23:38  jbcooley

	* src/Npgsql/NpgsqlCommandBuilder.cs: Support full Npgsql parameter
	  types when building parameters (this specifically fixed arrays).
	  help msg 1006026.

2010-05-02 12:31  fxjr

	* src/Npgsql/NpgsqlCopyIn.cs:
	  [#1010796] Notification thread not released after copy from
	  stdin. Thanks Stelian Dumitrascu (stelian @nospam@
	  geocentral.net) for patch and Gildas (prime.gildas @nospam@
	  gmail.com) for testing. I also added this patch to Cancel method
	  which may suffer from the same problem.

2010-04-15 00:16  jbcooley

	* src/Npgsql2010.csproj, src/Npgsql2010.sln,
	  testsuite/noninteractive/NUnit20/NpgsqlTests2010.csproj: vs 2010
	  rtm

2010-04-15 00:13  jbcooley

	* src/policy.2.0.Npgsql.config: updated for build 2.0.9

2010-04-13 20:18  fxjr

	* RELEASENOTES.txt:
	  Updated to 2.0.9 release

2010-04-13 20:17  fxjr

	* ChangeLog:
	  Update to 2.0.9 release

2010-04-13 20:11  fxjr

	* src/Npgsql/AssemblyInfo.cs:
	  Updated AssemblyInfo file with generated information.

2010-04-10 14:39  fxjr

	* src/Npgsql/NpgsqlCommand.cs:

	  [#1010788] NpgsqlCommand and UpdatedRowSource property.  Now
	  NpgsqlCommands created through NpgsqlCommandBuilder will have by
	  default UpdatedRowSource property as UpdateRowSource.None.

2010-04-10 14:29  fxjr

	* src/Npgsql/NpgsqlCommandBuilder.cs:
	  [ npgsql-Bugs-1010788 ] NpgsqlCommand and UpdatedRowSource
	  property. Now NpgsqlCommands created through NpgsqlCommandBuilder
	  will have by default UpdatedRowSource property as
	  UpdateRowSource.None.

2010-04-06 01:02  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  [#1010779] Respect CommandTimeout in first function call w/
	  string parameter. Patch applied. Thanks Noah Misch (noah.misch
	  @nospam@ channeladvisor.com) for tests and patch.

2010-03-29 10:46  fxjr

	* src/Npgsql/NpgsqlConnector.cs:

	      Try to set SSL negotiation to 0. As of 2010-03-29, recent
	  problems in SSL library implementations made postgresql to add a
	  parameter to set a value when to do this renegotiation or 0 to
	  disable it.
	      Currently, Npgsql has a problem with renegotiation so, we are
	  trying to disable it here. This only works on postgresql servers
	  where the ssl renegotiation settings is supported of course. See
	  http://lists.pgfoundry.org/pipermail/npgsql-devel/2010-February/001065.html
	  for more information.
	      Thanks Albe Laurenz for heads up and patch.

2010-03-29 10:07  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  Fixed line endings to CRLF.

2010-03-21 23:43  fxjr

	* src/Npgsql/NpgsqlCommand.cs,
	  testsuite/noninteractive/add_functions.sql,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  [#1010780] Reduce use of utility queries for function calls
	  (CommandType.StoredProcedure). Thanks Noah Misch for tests. Patch
	  (2 of 2):

	  2010-03-18  Noah Misch  <noah.misch @nospam@ channeladvisor.com>

	      * src/Npgsql/NpgsqlCommand.cs (GetClearCommandText): Do not
	  call
	      `CheckFunctionHasOutParameters'.
	      (CheckFunctionNeedsColumnDefinitionList): Check return type
	  and presence
	      of OUT, INOUT, and TABLE arguments.
	      (CheckFunctionHasOutParameters): Delete method.
	      * testsuite/noninteractive/NUnit20/CommandTests.cs
	      (StatementOutputParameters): Test a multi-row result set.
	      (ReturnSetofRecord): New method.

	  [#1010779] Respect CommandTimeout in first function call w/
	  string parameter. Added test cases. Thanks Noah Misch for tests.

2010-03-21 23:23  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  [#1010780] Reduce use of utility queries for function calls
	  (CommandType.StoredProcedure) Thanks Noah Mishc for patches (1 of
	  2):

	  2010-03-18  Noah Misch  <noah.misch @nospam@ channeladvisor.com>

	      * src/Npgsql/NpgsqlCommand.cs (functionReturnsRefCursor):
	  Delete
	      property.
	      (GetReader): When a function returns a single refcursor
	  column,
	      immediately fetch from all those cursors and return that
	  data.
	      (GetClearCommandText): Do not call `CheckFunctionReturn' or
	      `ProcessRefcursorFunctionReturn'.
	      (CheckFunctionReturn, ProcessRefcursorFunctionReturn): Delete
	  methods.

2010-03-15 22:45  fxjr

	* src/Npgsql/NpgsqlCommand.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:

	  [#1010777] String syntax for function call parameters. Thanks
	  Noah Misch (noah.misch @nospam@ channeladvisor.com) for patch.

2010-03-13 17:16  fxjr

	* src/Npgsql.build:

	  Removed temporarily the runCodeMetrics target from ccnet target
	  dependencies. Build server is having problems with the metrics
	  software.

2010-03-02 10:33  fxjr

	* src/Npgsql/PGUtil.cs:
	  Added an small performance improvement by creating a shared
	  buffer for Int32 and Int16 reading. This way, buffers don't need
	  to be recreated all the time.

2010-03-01 00:25  fxjr

	* src/Npgsql/: NpgsqlQuery.cs, PGUtil.cs:

	  Readded ability to log the string being written to server. It was
	  removed in the last optimization (version 1.5) by mistake.

2010-02-19 15:49  fxjr

	* Tools/Gendarme/: Gendarme.Framework.dll,
	  Gendarme.Rules.BadPractice.dll, Gendarme.Rules.Concurrency.dll,
	  Gendarme.Rules.Correctness.dll,
	  Gendarme.Rules.Design.Generic.dll,
	  Gendarme.Rules.Design.Linq.dll, Gendarme.Rules.Design.dll,
	  Gendarme.Rules.Exceptions.dll,
	  Gendarme.Rules.Interoperability.dll,
	  Gendarme.Rules.Maintainability.dll, Gendarme.Rules.Naming.dll,
	  Gendarme.Rules.Performance.dll, Gendarme.Rules.Portability.dll,
	  Gendarme.Rules.Security.Cas.dll, Gendarme.Rules.Security.dll,
	  Gendarme.Rules.Serialization.dll, Gendarme.Rules.Smells.dll,
	  Gendarme.Rules.Ui.dll, ICSharpCode.SharpZipLib.dll,
	  Mono.Cecil.Mdb.dll, Mono.Cecil.Pdb.dll, Mono.Cecil.dll, NEWS,
	  gendarme-wizard.exe, gendarme.1, gendarme.exe:
	  Reuploaded version from ASPNetProvider.

2010-02-17 23:23  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  Added missing comments.

2010-02-17 21:47  fxjr

	* src/Npgsql/NpgsqlCommand.cs,
	  testsuite/noninteractive/add_functions.sql,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Fixed a bug where a function which has a return type of record
	  but already has the columnlist defined inside itself ( i.e.:
	  functions with returns table clauses, see
	  testreturnrecordresultset in the testcases) were being
	  misinterpreted as needing a column list. Thanks Jan Waiz for
	  heads up and test case. Added nunit test case to catch this
	  problem.

2010-02-17 19:23  fxjr

	* src/Npgsql2010.csproj:

	  Added VS.Net 2010 project file generated from vs.net 2008 project
	  file.

2010-02-15 23:39  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  Fixed another commandtimeout problem. This time, creating an
	  internal Npgsqlcommand was reseting it. See
	  http://pgfoundry.org/forum/message.php?msg_id=1005814 for more
	  info. Thanks David Leaver (dave @nospam@ smartrak.co.nz) for
	  heads up and test case.

2010-02-15 23:33  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  Normalized line endings.

2010-02-15 19:08  fxjr

	* src/NpgsqlTypes/: NpgsqlDbType.cs, NpgsqlTypesHelper.cs:
	  Applied patch: [#1010764] Support for abstime (used with postgres
	  time traver). Thanks Tapio Haapala (tapio.haapala @nospam@
	  f-solutions.fi) for patch.

2010-02-15 18:34  fxjr

	* Tools/Gendarme/: Gendarme.Framework.dll,
	  Gendarme.Rules.BadPractice.dll, Gendarme.Rules.Concurrency.dll,
	  Gendarme.Rules.Correctness.dll,
	  Gendarme.Rules.Design.Generic.dll,
	  Gendarme.Rules.Design.Linq.dll, Gendarme.Rules.Design.dll,
	  Gendarme.Rules.Exceptions.dll,
	  Gendarme.Rules.Interoperability.dll,
	  Gendarme.Rules.Maintainability.dll, Gendarme.Rules.Naming.dll,
	  Gendarme.Rules.Performance.dll, Gendarme.Rules.Portability.dll,
	  Gendarme.Rules.Security.Cas.dll, Gendarme.Rules.Security.dll,
	  Gendarme.Rules.Serialization.dll, Gendarme.Rules.Smells.dll,
	  Gendarme.Rules.Ui.dll, ICSharpCode.SharpZipLib.dll,
	  Mono.Cecil.Mdb.dll, Mono.Cecil.Pdb.dll, Mono.Cecil.dll, NEWS,
	  gendarme-wizard.exe, gendarme.1, gendarme.exe:
	  Updated Gendarme toolset. It seems the previous version was
	  corrupted.

2010-02-15 18:20  fxjr

	* src/Npgsql.build:
	  Fixed build target dependency to include createAssemblyInfo
	  target. Now, when running build it generates the assemblyinfo.cs
	  file correctly. Thanks Daniel Nauck for heads up.

2010-02-14 01:14  fxjr

	* src/Npgsql.build:
	  Added a lot of targets to package Npgsql source and binary
	  distribution.  Added target to ccnet.

	  Added ability to generate AssemblyInfo.cs automatically. In order
	  to do that, run build.sh (build.bat) -D:CCNetLabel=2.0.9.0 so the
	  assembly value is set to this label value.

	  Thanks Daniel Nauck for support and .build sample file.

2010-02-03 19:00  fxjr

	* src/: Npgsql.FxCop, Npgsql.build, gendarme.assemblies.txt:
	  Added configuration files for Gendarme and FxCop. Updated
	  Npgsql.build files to add the corresponding build targets.

2010-02-03 18:43  fxjr

	* Tools/: FxCop/CustomDictionary.xml, FxCop/FxCop.exe,
	  FxCop/FxCop.exe.config, FxCop/FxCopCmd.exe,
	  FxCop/FxCopCmd.exe.config, FxCop/FxCopCommon.dll,
	  FxCop/FxCopSdk.dll, FxCop/FxCopUI.dll, FxCop/MSSp3en.lex,
	  FxCop/MSSp3ena.lex, FxCop/MSSpell3.dll, FxCop/Microsoft.Cci.dll,
	  FxCop/Engines/IntrospectionAnalysisEngine.dll,
	  FxCop/Engines/IntrospectionForms.dll,
	  FxCop/Repository/system32.bin,
	  FxCop/Repository/Compatibility/Desktop2.0.xml,
	  FxCop/Repository/Compatibility/Desktop2.0SP1.xml,
	  FxCop/Repository/Compatibility/Desktop2.0SP2.xml,
	  FxCop/Repository/Compatibility/Desktop3.0.xml,
	  FxCop/Repository/Compatibility/Desktop3.0SP1.xml,
	  FxCop/Repository/Compatibility/Desktop3.0SP2.xml,
	  FxCop/Repository/Compatibility/Desktop3.5.xml,
	  FxCop/Repository/Compatibility/Desktop3.5SP1.xml,
	  FxCop/Rules/DesignRules.dll, FxCop/Rules/GlobalizationRules.dll,
	  FxCop/Rules/InteroperabilityRules.dll,
	  FxCop/Rules/MobilityRules.dll, FxCop/Rules/NamingRules.dll,
	  FxCop/Rules/PerformanceRules.dll,
	  FxCop/Rules/PortabilityRules.dll, FxCop/Rules/SecurityRules.dll,
	  FxCop/Rules/UsageRules.dll, FxCop/Xml/CodeAnalysisReport.xsl,
	  FxCop/Xml/FxCopReport.xsd, FxCop/Xml/FxCopReport.xsl,
	  FxCop/Xml/FxCopReportExcludes.xsl,
	  FxCop/Xml/FxCopRichConsoleOutput.xsl,
	  FxCop/Xml/VSConsoleOutput.xsl, Gendarme/AUTHORS,
	  Gendarme/Gendarme.Framework.dll,
	  Gendarme/Gendarme.Rules.BadPractice.dll,
	  Gendarme/Gendarme.Rules.Concurrency.dll,
	  Gendarme/Gendarme.Rules.Correctness.dll,
	  Gendarme/Gendarme.Rules.Design.Generic.dll,
	  Gendarme/Gendarme.Rules.Design.Linq.dll,
	  Gendarme/Gendarme.Rules.Design.dll,
	  Gendarme/Gendarme.Rules.Exceptions.dll,
	  Gendarme/Gendarme.Rules.Interoperability.dll,
	  Gendarme/Gendarme.Rules.Maintainability.dll,
	  Gendarme/Gendarme.Rules.Naming.dll,
	  Gendarme/Gendarme.Rules.Performance.dll,
	  Gendarme/Gendarme.Rules.Portability.dll,
	  Gendarme/Gendarme.Rules.Security.Cas.dll,
	  Gendarme/Gendarme.Rules.Security.dll,
	  Gendarme/Gendarme.Rules.Serialization.dll,
	  Gendarme/Gendarme.Rules.Smells.dll,
	  Gendarme/Gendarme.Rules.Ui.dll,
	  Gendarme/ICSharpCode.SharpZipLib.dll, Gendarme/MIT.X11,
	  Gendarme/Mono.Cecil.Mdb.dll, Gendarme/Mono.Cecil.Pdb.dll,
	  Gendarme/Mono.Cecil.dll, Gendarme/NEWS, Gendarme/README,
	  Gendarme/gendarme-wizard.exe, Gendarme/gendarme.1,
	  Gendarme/gendarme.exe, Gendarme/rules.xml: Fixed corrupted files
	  uploaded first time.

2010-02-01 11:54  fxjr

	* src/Npgsql.build:

	  Added a lot of functionality and fixes to Npgsql.build based on
	  Daniel Nauck AspSQLProvider.build. Thanks Daniel for heads up.

2010-01-31 13:48  fxjr

	* src/build.bat:
	  Fixed backslash for windows .bat :)

2010-01-31 13:40  fxjr

	* src/: build.bat, build.sh:
	  Created helper scripts to build Npgsql with Nant from
	  commandline. Just call build.sh or build.bat.

2010-01-29 17:46  fxjr

	* Tools/NAnt/: CCNetListener.dll, COPYING.txt,
	  NAnt.CompressionTasks.dll, NAnt.Core.dll, NAnt.DotNetTasks.dll,
	  NAnt.MSNetTasks.dll, NAnt.NUnit.dll, NAnt.NUnit1Tasks.dll,
	  NAnt.NUnit2Tasks.dll, NAnt.SourceControlTasks.dll,
	  NAnt.VSNetTasks.dll, NAnt.VisualCppTasks.dll,
	  NAnt.Win32Tasks.dll, NAnt.exe, NAnt.exe.config,
	  NDoc.Documenter.NAnt.dll, NauckIT.NAnt.dll, log4net.dll,
	  scvs.exe, extensions/common/2.0/NAnt.MSBuild.dll,
	  extensions/common/2.0/NAnt.MSBuild.xml,
	  lib/common/1.1/nunit-console-runner.dll,
	  lib/common/1.1/nunit-console.exe, lib/common/1.1/nunit.core.dll,
	  lib/common/1.1/nunit.framework.dll,
	  lib/common/1.1/nunit.util.dll,
	  lib/common/2.0/nunit-console-runner.dll,
	  lib/common/2.0/nunit-console.exe, lib/common/2.0/nunit.core.dll,
	  lib/common/2.0/nunit.framework.dll,
	  lib/common/2.0/nunit.util.dll,
	  lib/common/neutral/ICSharpCode.SharpCvsLib.Console.dll,
	  lib/common/neutral/ICSharpCode.SharpCvsLib.dll,
	  lib/common/neutral/ICSharpCode.SharpZipLib.dll,
	  lib/common/neutral/NDoc.Core.dll,
	  lib/common/neutral/NDoc.Documenter.Msdn.dll,
	  lib/common/neutral/NDoc.ExtendedUI.dll,
	  lib/common/neutral/NUnitCore.dll, lib/mono/1.0/NDoc.Core.dll,
	  lib/mono/1.0/NDoc.Documenter.Msdn.dll,
	  lib/mono/1.0/NDoc.ExtendedUI.dll, lib/mono/1.0/nunit.core.dll,
	  lib/mono/1.0/nunit.framework.dll, lib/mono/1.0/nunit.util.dll,
	  lib/mono/2.0/NDoc.Core.dll,
	  lib/mono/2.0/NDoc.Documenter.Msdn.dll,
	  lib/mono/2.0/NDoc.ExtendedUI.dll, lib/mono/2.0/nunit.core.dll,
	  lib/mono/2.0/nunit.framework.dll, lib/mono/2.0/nunit.util.dll,
	  lib/net/1.0/NDoc.Core.dll, lib/net/1.0/NDoc.Documenter.Msdn.dll,
	  lib/net/1.0/NDoc.ExtendedUI.dll,
	  lib/net/1.0/nunit-console-runner.dll,
	  lib/net/1.0/nunit-console.exe, lib/net/1.0/nunit.core.dll,
	  lib/net/1.0/nunit.framework.dll, lib/net/1.0/nunit.util.dll,
	  lib/net/1.1/NDoc.Core.dll, lib/net/1.1/NDoc.Documenter.Msdn.dll,
	  lib/net/1.1/NDoc.ExtendedUI.dll, lib/net/1.1/nunit.core.dll,
	  lib/net/1.1/nunit.framework.dll, lib/net/1.1/nunit.util.dll,
	  lib/net/2.0/NDoc.Core.dll, lib/net/2.0/NDoc.Documenter.Msdn.dll,
	  lib/net/2.0/NDoc.ExtendedUI.dll, lib/net/2.0/nunit.core.dll,
	  lib/net/2.0/nunit.framework.dll, lib/net/2.0/nunit.util.dll:
	  Added Tools/NAnt to Npgsql2

2010-01-29 01:10  fxjr

	* Tools/Gendarme/: AUTHORS, Gendarme.Framework.dll,
	  Gendarme.Rules.BadPractice.dll, Gendarme.Rules.Concurrency.dll,
	  Gendarme.Rules.Correctness.dll,
	  Gendarme.Rules.Design.Generic.dll,
	  Gendarme.Rules.Design.Linq.dll, Gendarme.Rules.Design.dll,
	  Gendarme.Rules.Exceptions.dll,
	  Gendarme.Rules.Interoperability.dll,
	  Gendarme.Rules.Maintainability.dll, Gendarme.Rules.Naming.dll,
	  Gendarme.Rules.Performance.dll, Gendarme.Rules.Portability.dll,
	  Gendarme.Rules.Security.Cas.dll, Gendarme.Rules.Security.dll,
	  Gendarme.Rules.Serialization.dll, Gendarme.Rules.Smells.dll,
	  Gendarme.Rules.Ui.dll, ICSharpCode.SharpZipLib.dll, MIT.X11,
	  Mono.Cecil.Mdb.dll, Mono.Cecil.Pdb.dll, Mono.Cecil.dll, NEWS,
	  README, gendarme-wizard.exe, gendarme.1, gendarme.exe, rules.xml:

	  Added Tools/Gendarme to Npgsql2

2010-01-29 00:55  fxjr

	* Tools/FxCop/: CustomDictionary.xml, FxCop.exe, FxCop.exe.config,
	  FxCopCmd.exe, FxCopCmd.exe.config, FxCopCommon.dll, FxCopSdk.dll,
	  FxCopUI.dll, MSSp3en.lex, MSSp3ena.lex, MSSpell3.dll,
	  Microsoft.Cci.dll, Engines/IntrospectionAnalysisEngine.dll,
	  Engines/IntrospectionForms.dll, Repository/system32.bin,
	  Repository/Compatibility/Desktop2.0.xml,
	  Repository/Compatibility/Desktop2.0SP1.xml,
	  Repository/Compatibility/Desktop2.0SP2.xml,
	  Repository/Compatibility/Desktop3.0.xml,
	  Repository/Compatibility/Desktop3.0SP1.xml,
	  Repository/Compatibility/Desktop3.0SP2.xml,
	  Repository/Compatibility/Desktop3.5.xml,
	  Repository/Compatibility/Desktop3.5SP1.xml,
	  Rules/DesignRules.dll, Rules/GlobalizationRules.dll,
	  Rules/InteroperabilityRules.dll, Rules/MobilityRules.dll,
	  Rules/NamingRules.dll, Rules/PerformanceRules.dll,
	  Rules/PortabilityRules.dll, Rules/SecurityRules.dll,
	  Rules/UsageRules.dll, Xml/CodeAnalysisReport.xsl,
	  Xml/FxCopReport.xsd, Xml/FxCopReport.xsl,
	  Xml/FxCopReportExcludes.xsl, Xml/FxCopRichConsoleOutput.xsl,
	  Xml/VSConsoleOutput.xsl:

	  Added Tools/FxCop to Npgsql2

2010-01-26 19:34  fxjr

	* RELEASENOTES.txt: [no log message]

2010-01-18 00:14  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Changed NpgsqlInet test method name to better explain it.

	  Added NpgsqlTimeStamp test.

2010-01-18 00:06  fxjr

	* src/Npgsql/SSPIHandler.cs:
	  Added a fix for 64 bits windows. The type of the SecHandle
	  structure was hardcoded to int 32 bit int values which was giving
	  problems on 64 bits windows. Now uses an architecture
	  independente pointer type. Thanks Brar Piening for patch and
	  heads up.

2010-01-16 13:05  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Added a test for Europe/Amsterdam timezone with dates before
	  1937. Those timezones had minuts and seconds on it. Check
	  http://lists.pgfoundry.org/pipermail/npgsql-devel/2010-January/001054.html
	  for more information. Thanks Christ Akkermans for heads up and
	  test.

2010-01-10 23:58  fxjr

	* src/Npgsql/NpgsqlCommand.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Added a fix for caseinsensitive parameter names in query strings.
	  Thanks Antonio Leiva for the patch!

	  Added test case for this bug.

	  Also added a pending testcase for NpgsqlInet types returned from
	  NpgsqlDataReader.GetValue(). This test is not working yet because
	  of pending fixes in Npgsql. But the test is ok.

2010-01-08 00:32  fxjr

	* src/NpgsqlTypes/DateDatatypes.cs,
	  testsuite/noninteractive/NUnit20/TypesTests.cs:
	  [#1010746] NpgsqlDate.AddMonths(m): IndexOutOfRangeException, if
	  new date in following year. Applied patches: [#1010747]
	  Correction of NpgsqlDate.AddMonths(m), if new date in following
	  year. Thanks Gildas (prime.gildas @nospam@ gmail.com) for patch
	  and testcase. Also thanks Sibylle Koczian (nulla.epistola
	  @nospam@ web.de) for patch reviewing and testing.

2009-12-28 18:23  jbcooley

	* src/Npgsql/PGUtil.cs: need to read in chunks so the socket
	  doesn't run out of memory in recv the network stream doesn't
	  prevent this and downloading a large bytea will throw an
	  IOException with an error code of 10055 (WSAENOBUFS) This is a
	  fix for bug reported in 1005719.

2009-12-28 01:35  fxjr

	* RELEASENOTES.txt:
	  Added release notes for 2.0.8 release.

2009-12-28 01:11  fxjr

	* ChangeLog:
	  Updated for Npgsql 2.0.8 release

2009-12-28 00:41  jbcooley

	* src/: Npgsql/AssemblyInfo.cs, policy.2.0.Npgsql.config: Updated
	  for build 2.0.8

2009-12-27 16:51  jbcooley

	* src/Npgsql/SqlGenerators/: SqlBaseGenerator.cs,
	  SqlDeleteGenerator.cs, SqlInsertGenerator.cs,
	  SqlSelectGenerator.cs, SqlUpdateGenerator.cs,
	  VisitedExpression.cs: Initial support for bug fix reported in
	  message 1005698.  The fix changes valid sql that produced
	  incorrect results to sometimes valid sql that produced correct
	  results when valid.	Also contains work in progress to resolve
	  the invalid sql.

2009-12-27 16:44  jbcooley

	* src/Npgsql/NpgsqlProviderManifest.cs: Initial .NET code

2009-12-21 01:19  jbcooley

	* src/Npgsql/SqlGenerators/: SqlBaseGenerator.cs,
	  SqlSelectGenerator.cs: Fixed two bugs with Entity Framework SQL
	  generation: [#1010727] Entity framework exception if null
	  inserted in XML column Changed null handling so that the value is
	  only type cast when used in a select clause.	[#1010673] syntax
	  error in queries generated by entity framework 2.0.6 ms.net sp1
	  Changed the filter handling to better work when subqueries in
	  joins.

2009-12-20 00:33  fxjr

	* docs/UserManual.html:
	  Fixed manual to show examples using NpgsqlDbType instead of
	  DbType. Using DbType is only provided for backwards
	  compatibility. NpgsqlDbType is the prefered way to specify
	  paramter types.

2009-12-20 00:15  fxjr

	* src/Npgsql/NpgsqlState.resx:
	  [#1010687] Spelling error in NpgsqlCommand Object command timeout
	  exception. Fixed.

2009-12-19 13:30  fxjr

	* src/Npgsql/NpgsqlParameterCollection.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Added method AddWithValue and made Add(String, object) obsolete
	  and this was causing ambiguity problems with Add and NpgsqlDbType
	  and DbType. See
	  http://pgfoundry.org/tracker/index.php?func=detail&aid=1010714&group_id=1000140&atid=590
	  and
	  http://pgfoundry.org/tracker/index.php?func=detail&aid=1010715&group_id=1000140&atid=592
	  for more details. Thanks Gildas (prime.gildas @nospam@ gmail.com)
	  for heads up and discussion about that. Note that the issue of
	  adding a new method which takes a DbType parameter is not
	  finished yet. We should check if this is still needed.

2009-12-13 22:45  fxjr

	* src/NpgsqlTypes/DateDatatypes.cs:
	  Added support to parse "-infinity" and "infinity" date values.

2009-12-13 01:27  jbcooley

	* src/Npgsql/AssemblyInfo.cs: No longer the 2.0.7 release build.
	  Change version number so that compatibility flag can be used.

2009-12-13 01:26  jbcooley

	* src/Npgsql/NpgsqlTransaction.cs: Support Snapshot Isolation level
	  correctly.

2009-12-13 01:25  jbcooley

	* src/: NpgsqlTypes/NpgsqlTypesHelper.cs,
	  Npgsql/NpgsqlDataReader.cs: Support for provider specific types
	  (with compatibility flag on change to NpgsqlInterval)

2009-12-13 01:23  jbcooley

	* src/NpgsqlTypes/DateDatatypes.cs: Support casting time values to
	  DateTime type

2009-12-13 01:22  jbcooley

	* testsuite/noninteractive/NUnit20/CommandTests.cs: Tests to
	  validate type changes for provider specific type support

2009-12-13 01:17  jbcooley

	* testsuite/noninteractive/NUnit20/TypesTests.cs: Validate time
	  conversion.  Noticed that NpgsqlTimeTZ.LocalTime is really local
	  to timezone specified in value.

2009-12-13 01:16  jbcooley

	* testsuite/noninteractive/NUnit20/DataAdapterTests.cs: Tests from
	  bug report 1010734

2009-12-13 01:14  jbcooley

	* testsuite/noninteractive/NUnit20/ConnectionTests.cs: Tests from
	  bug report

2009-12-11 18:24  fxjr

	* src/NpgsqlTypes/NpgsqlTypeConverters.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Bug: Money to Decimal conversion. Fixed problem where negative
	  money values weren't being returned correctly. Thanks Denis
	  Moinel (denis.moinel @nospam@ gmail.com) for heads up and patch.
	  See http://pgfoundry.org/forum/message.php?msg_id=1005647 for
	  more info.

	  Also added test case.

2009-12-09 02:17  jbcooley

	* src/NpgsqlTypes/DateDatatypes.cs: Fix time zone parsing bug
	  reported in message 1005627.	Now handle negative timezones
	  correctly.

2009-12-09 02:11  jbcooley

	* testsuite/noninteractive/NUnit20/TypesTests.cs: Test time zone
	  parsing.  Exposes bug reported in message 1005627

2009-12-01 23:50  fxjr

	* src/Npgsql/NpgsqlConnectedState.cs:
	  Fixed a bug where Npgsql wasn't honoring the connectiontimeout on
	  Startup method.

	  See http://pgfoundry.org/forum/message.php?msg_id=1005603 for
	  more info. Thanks chaitra p (cpadsalgi @nospam@ peak6.com) for
	  heads up.

2009-11-15 18:23  jbcooley

	* src/policy.2.0.Npgsql.config: Updated for build 2.0.7

2009-11-15 18:19  fxjr

	* ChangeLog:
	  Updated to 2.0.9 release

2009-11-15 18:16  fxjr

	* RELEASENOTES.txt:
	  Updated release notes for 2.0.7

2009-11-15 17:53  fxjr

	* src/Npgsql.build:
	  Changed copyright year to 2009

2009-11-15 17:45  jbcooley

	* src/Npgsql/AssemblyInfo.cs: Updated for build 2.0.7.

2009-11-13 02:10  jbcooley

	* src/Npgsql/NpgsqlState.cs: Bug #1010527 - Fix query timeout
	  connection corruption.

2009-09-12 20:08  fxjr

	* src/Npgsql/NpgsqlCommandBuilder.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  [#1010700] Capture parameter names with
	  NpgsqlCommandBuilder.DeriveParameters.  Thanks Brian Schloz
	  (bschloz @nospam@ hotmail.com) for patch.  Also added nunit
	  testcase.

2009-08-23 22:04  fxjr

	* src/Npgsql/NpgsqlConnectionStringBuilder.cs:
	  Last commit message should have been: Thanks Alaric for heads up
	  and testcase

2009-08-23 21:55  fxjr

	* src/Npgsql/NpgsqlConnectionStringBuilder.cs:
	  [#1010668] Npgsql ConnectionStringBuilder provides no
	  connectionstring properties. Now Npgsql correctly reports default
	  connectionstring properties. Thanks Alaric Dailey for heads up
	  and patch!

2009-08-11 16:46  fxjr

	* src/NpgsqlTypes/NpgsqlTypeConverters.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Fixed bug when trying to retrieve a date value with -infinity
	  value. See more here:
	  http://pgfoundry.org/forum/message.php?msg_id=1005249 Thanks
	  Andrus Moor for bug report and test case and Laurenz Albe for
	  reporting the commit where the infinity date value was added.

2009-07-27 02:14  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  [#1010679] NpgsqlCommand.GetClearCommandText speed optimization.
	  Thanks Dmitri Maximov (dmitri.maximov @nospam@ dataobjects.net)
	  for patch.

2009-07-11 16:30  jbcooley

	* ChangeLog: updated for release 2.0.6 (again)

2009-07-11 16:20  fxjr

	* RELEASENOTES.txt:
	  Added more information to release notes of 2.0.6

2009-07-11 16:06  jbcooley

	* src/policy.2.0.Npgsql.config: updated for release 2.0.6

2009-07-11 16:00  jbcooley

	* ChangeLog: updated for release 2.0.6

2009-07-11 15:59  fxjr

	* RELEASENOTES.txt:
	  Added release notes for 2.0.6 release

2009-07-11 15:47  jbcooley

	* src/Npgsql/AssemblyInfo.cs: update the version number for build
	  2.0.6.

2009-07-06 22:45  jbcooley

	* src/NpgsqlTypes/NpgsqlTypesHelper.cs: Share NumberFormatInfo
	  between regular value formatting and Entity Framework formatting.

2009-07-06 11:38  fxjr

	* testsuite/noninteractive/add_functions.sql:

	  Changed value of busy loop so it can stay longer.

	  Added outputparameter test function

2009-07-06 11:35  fxjr

	* testsuite/noninteractive/NUnit20/DataReaderTests.cs:
	  Added tests for output parameters

2009-07-06 11:32  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:

	  Added tests for CommandTimeout resetting.

2009-07-02 11:57  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  [#1010666] CommandTimeout does gets reset to 20 when a Connection
	  object is assigned to it. Now, if a command timeout is set to
	  NpgsqlCommand, it will respect this timeout regardless of the
	  value set in connection string. Thanks Debabrata Das for
	  testcase.

2009-07-01 23:29  jbcooley

	* src/Npgsql/SqlGenerators/VisitedExpression.cs: #1010663 - Fix
	  decimal character for decimal numbers.

2009-07-01 22:52  jbcooley

	* src/Npgsql/SqlGenerators/SqlBaseGenerator.cs: Give type to NULL
	  literals.  See message 1005019.  Bug reported by Eric Adv.

2009-06-26 00:38  jbcooley

	* src/Npgsql/SqlGenerators/VisitedExpression.cs: simplified boolean
	  expressions when a not is applied.  Also added subsecond
	  precision for timestamps. (reported by Ibaidul Sahib)

2009-06-26 00:36  jbcooley

	* src/Npgsql/SqlGenerators/SqlBaseGenerator.cs: simplified boolean
	  expressions when a not is applied

2009-06-20 23:17  fxjr

	* src/Npgsql.Designer/Npgsql.Designer.csproj:
	  Removed the VsSDKTargets project dependency line which completes
	  Josh's modification to make it load with vs.net express.

2009-06-20 23:03  jbcooley

	* src/Npgsql.Designer/Npgsql.Designer.csproj: removed more vs sdk
	  dependencies.

2009-06-20 22:59  jbcooley

	* src/Npgsql.Designer/Npgsql.Designer.csproj: removed package
	  files.

2009-06-20 22:23  jbcooley

	* src/Npgsql.Designer/: AssemblyInfo.cs,
	  ChangePasswordDialog.Designer.cs, ChangePasswordDialog.cs,
	  ChangePasswordDialog.resx, ChangeScriptDialog.Designer.cs,
	  ChangeScriptDialog.cs, ChangeScriptDialog.resx,
	  Npgsql.Designer.csproj, Npgsql.Designer.sln,
	  NpgsqlAdapterDesigner.cs, NpgsqlCommandDesigner.cs,
	  NpgsqlCommandHandler.cs, NpgsqlConnectionProperties.cs,
	  NpgsqlConnectionStringEditor.cs,
	  NpgsqlConnectionUIControl.Designer.cs,
	  NpgsqlConnectionUIControl.cs, NpgsqlConnectionUIControl.resx,
	  NpgsqlDataAdapterToolboxItem.cs, NpgsqlDataConnectionSupport.cs,
	  NpgsqlDataObjectIdentifierResolver.cs,
	  NpgsqlDataObjectSupport.cs, NpgsqlDataObjectSupport.xml,
	  NpgsqlDataSourceInformation.cs, NpgsqlDataViewSupport.cs,
	  NpgsqlDataViewSupport2005.xml, NpgsqlDataViewSupport2008.xml,
	  NpgsqlPackage.cs, NpgsqlProviderObjectFactory.cs, PkgCmd.vsct,
	  Pkgcmd.h, SQLiteConnectionUIControl.resources,
	  TableNameDialog.Designer.cs, TableNameDialog.cs,
	  TableNameDialog.resx, VSPackage.Designer.cs, VSPackage.resx,
	  CtcComponents/Guids.h, CtcComponents/PkgCmd.ctc,
	  CtcComponents/PkgCmdID.h, Design/Check.cs, Design/Column.cs,
	  Design/ForeignKey.cs, Design/Index.cs, Design/PrimaryKey.cs,
	  Design/SimpleTokenizer.cs, Design/Table.cs, Design/Trigger.cs,
	  Design/Unique.cs, Design/View.cs, Editors/AutoCompleteColumn.cs,
	  Editors/TableDesignerDoc.Designer.cs,
	  Editors/TableDesignerDoc.cs, Editors/TableDesignerDoc.resx,
	  Editors/ViewDesignerDoc.Designer.cs, Editors/ViewDesignerDoc.cs,
	  Editors/ViewDesignerDoc.resx, Resources/ToolboxItems.txt,
	  Resources/info.png: convert SQLite designer to run against Npgsql

2009-06-13 02:56  fxjr

	* src/: Npgsql/NpgsqlCommand.cs, NpgsqlTypes/NpgsqlDbType.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs:
	  [#1010652] Command checker for output vars is using not
	  performing query.  Npgsql was adding a cast which was causing the
	  query analyzer to use a full table scan instead of using the
	  index. Now, Npgsql adds the proper cast. Thanks Adriaan van Kekem
	  for analyzes and bug report.

2009-06-13 02:05  fxjr

	* src/Npgsql/NpgsqlDataReader.cs:
	  Fixed previous patch as it breaks when using an internal
	  NpgsqlCommand which receives only a Connector in its constructor
	  as the CheckConformingStrings method does. This is caused by not
	  having an NpgsqlConnection available when using this internal
	  constructor. Now it uses the Connector object instead of
	  NpgsqlConnection to get the compatibility version check.

2009-06-09 15:22  fxjr

	* src/Npgsql/NpgsqlDataReader.cs: [#1010649] DataReader.FieldCount
	  returning -1. Fixed. Thanks Dario Quintana for bug report.

2009-05-31 18:53  jbcooley

	* src/NpgsqlTypes/DateDatatypes.cs: Force InvariantCulture for
	  fractional seconds in ToString (thanks to Otto H)

2009-05-31 18:51  jbcooley

	* testsuite/noninteractive/NUnit20/TypesTests.cs: Test ToString in
	  other cultures (thanks to Otto H)

2009-05-31 15:45  jbcooley

	* testsuite/noninteractive/NUnit20/TypesTests.cs: NpgsqlDate tests.

2009-05-31 14:06  jbcooley

	* src/NpgsqlTypes/DateDatatypes.cs: Changed mechanism used to
	  calculate fractional seconds so they get represented correctly in
	  string format.

2009-05-31 14:04  jbcooley

	* testsuite/noninteractive/NUnit20/TypesTests.cs: New tests to
	  represent precision in ToString().

2009-05-31 00:03  jbcooley

	* src/NpgsqlTypes/DateDatatypes.cs: Fix bugs constructor and
	  property bugs in NpgsqlInterval and NpgsqlTime as reported by
	  Otto H.

2009-05-31 00:01  jbcooley

	* testsuite/noninteractive/NUnit20/TypesTests.cs: fix bugs in tests
	  for NpgsqlInterval and NpgsqlTime

2009-05-29 11:15  fxjr

	* src/Npgsql/NpgsqlConnector.cs:
	  [#1010635] Error trying to connect to Postgresql 7.3. Fixed. Now,
	  Npgsql correctly handles standard_conforming_strings. Thanks Jon
	  Hanna for feedback and Juan Carlos Segui for bug report.

2009-05-29 00:31  jbcooley

	* testsuite/noninteractive/NUnit20/TypesTests.cs: Many new tests
	  taken from bugs reported by Otto H.

2009-05-29 00:27  jbcooley

	* src/NpgsqlTypes/DateDatatypes.cs: Use period for decimal
	  seperator between seconds and milliseconds.  Reported by several
	  people.

2009-05-22 23:38  jbcooley

	* src/Npgsql2008.sln: Added DDEX solution

2009-05-22 23:37  jbcooley

	* src/: VisualStudio/NpgsqlDataObjects.xml,
	  VisualStudio/NpgsqlObjectSelector.cs,
	  Npgsql.VisualStudio2008.csproj: incremental changes towards DDEX
	  support

2009-05-06 01:04  fxjr

	* ChangeLog, RELEASENOTES.txt:
	  Updated files for 2.0.5 release

2009-05-06 00:36  jbcooley

	* src/: policy.2.0.Npgsql.config, Npgsql/AssemblyInfo.cs: Updated
	  for 2.0.5 release.

2009-05-06 00:30  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  Fixed line ending inconsistencies.

2009-05-06 00:28  fxjr

	* src/Npgsql/NpgsqlQuery.cs:
	  [#1010567] failed LargeObject operation causes
	  NotSupportedException. This patch may also work as a workaround
	  for any seek exception problem. We still have to investigate why
	  Npgsql is letting behind data in the stream.

2009-05-05 22:00  jbcooley

	* src/Npgsql/NpgsqlState.cs: bug #1010267 - read all bytes in a
	  copydata message.

2009-05-05 21:57  jbcooley

	* src/Npgsql/PGUtil.cs: Add helper method to read bytes from stream
	  even when not all bytes are immediately available.

2009-05-05 00:30  fxjr

	* testsuite/noninteractive/NUnit20/DataReaderTests.cs:
	  Added some tests based on Forums.

2009-04-29 00:24  jbcooley

	* src/Npgsql/NpgsqlCommand.cs: #1010599 - update xml docs (fix typo
	  in Clone) Thanks to Lars Carlsson

2009-04-15 01:17  fxjr

	* src/Npgsql/: NpgsqlClosedState.cs, NpgsqlConnection.cs,
	  NpgsqlConnector.cs, NpgsqlConnectorPool.cs:
	  [#1010558] Added callback to provide client certificates for ssl
	  authentication.  Thanks Frank Bollack (frank.bollack @nospam@
	  visapix.de) for patch!

2009-04-10 23:57  jbcooley

	* src/Npgsql/SqlGenerators/SqlBaseGenerator.cs: Fix skip (offset)
	  when used with a join

2009-04-10 21:07  jbcooley

	* src/Npgsql/SqlGenerators/SqlBaseGenerator.cs: Add support for edm
	  canonical string function "Right"

2009-04-03 01:07  jbcooley

	* testsuite/noninteractive/NUnit20/DataReaderTests.cs: Added test
	  based on forum post.

2009-04-03 01:05  jbcooley

	* src/Npgsql/NpgsqlPromotableSinglePhaseNotification.cs: Fix
	  missing cast from previous commit.

2009-04-03 00:44  jbcooley

	* src/Npgsql/NpgsqlPromotableSinglePhaseNotification.cs: Fix
	  resource manager lifetime.  This improves System.Transaction
	  support.

2009-04-01 12:21  fxjr

	* src/Npgsql/NpgsqlDataReader.cs:
	  [#1010379] NpgsqlDataAdapter.Update - Return value is wrong.
	  Thanks Christian Holzner for feedback and testcase.

2009-03-19 17:09  fxjr

	* src/Npgsql/NpgsqlConnector.cs:
	  [npgsql-help][1004683] RE: Statement execution returns incorrect
	  DataSet Improved check of valid connection to consume all the
	  value returned. This may be causing Npgsql to let some data in
	  the stream.  Thanks Andy Berryman for heads up.

2009-03-18 11:54  fxjr

	* src/Npgsql/NpgsqlCommand.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Fixed regression with prepared statements with parameters with
	  sizes. The size of parameters were being added in the statement
	  tail. Thanks Rodrigo Cuevas (bellinux at gmail dot com) for heads
	  up and Lee Ibbotson (lee.ibbotson @nospam@ sequence.co.uk) for
	  patch.

	  Added testcase for this problem.

2009-03-18 11:28  fxjr

	* src/Npgsql/NpgsqlParameter.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Fixed problem where null parameters were being sent with casts
	  when they weren't needed and so causing problems. Added testcase
	  for this problem. Thanks Andrus Moor for testcase and heads up.

	  Also added testcase for numeric float support with different
	  cultureinfo.

2009-03-08 00:24  jbcooley

	* src/Npgsql/SqlGenerators/SqlBaseGenerator.cs: Updated scan to
	  handle Table attribute for cases where the table name is not the
	  EntitySet name.  Thanks to Konstantin Shtonda for the patch.

2009-02-28 21:15  jbcooley

	* ChangeLog: update for 2.0.4 release

2009-02-28 21:06  jbcooley

	* src/Npgsql/AssemblyInfo.cs: update assembly info for release.

2009-02-28 21:01  jbcooley

	* src/policy.2.0.Npgsql.config: New publisher policy file.

2009-02-28 20:54  fxjr

	* RELEASENOTES.txt:
	  Added release notes for 2.0.4

2009-02-25 23:06  fxjr

	* src/NpgsqlTypes/NpgsqlTypeConverters.cs:
	  Really fixed culture dependent representation of floating
	  numbers. Now it uses a invariant culture representation. Thanks
	  Antonio Leiva for heads up.

2009-02-25 12:36  talliesin

	* src/NpgsqlTypes/NpgsqlTypeConverters.cs: Fix bug with new bytea
	  conversion [#1010562]

2009-02-24 02:30  fxjr

	* ChangeLog:
	  Updated Changelog for 2.0.3 release

2009-02-24 02:27  fxjr

	* RELEASENOTES.txt:
	  Fixed release notes file format.

2009-02-24 02:06  fxjr

	* RELEASENOTES.txt:
	  Added release note for 2.0.3 release

2009-02-24 01:41  fxjr

	* src/Npgsql/AssemblyInfo.cs:
	  Updated for 2.0.3 release

2009-02-21 19:07  jbcooley

	* src/Npgsql/NpgsqlSchema.ssdl: Drop overloaded functions and
	  procedures since they cause problems for edmgen.

2009-02-19 23:12  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Added tests for [#1010543] Parameter value 'Int32.MinValue' throw
	  NpgsqlException(ERROR: 22003: integer out of range). Thanks David
	  Bachmann for heads up and tests.

2009-02-19 12:20  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  [#1010543] Parameter value 'Int32.MinValue' throw
	  NpgsqlException(ERROR: 22003: integer out of range). Thanks David
	  Bachmann for the ideas about how to solve that on mail list
	  referenced on this bug report. Also thanks to Josh Cooley for
	  reviewing the previous attempts to fix that and preventing me of
	  doing problems. Also thanks Dario Quintana (contacto at
	  darioquintana dot com dot ar) for his feedback and testing.

2009-02-18 01:27  jbcooley

	* src/Npgsql/SqlGenerators/: SqlBaseGenerator.cs,
	  SqlInsertGenerator.cs: Bug #1010545 - support alternate names for
	  tables (two schemas same table name) and alternate names for
	  schemas.  Thanks to Konstantin Shtonda for reporting this
	  problem.

2009-02-17 11:31  fxjr

	* src/NpgsqlTypes/NpgsqlTypeConverters.cs:

	  Fixed a culture problem in the ToBasicType<T> method which is
	  used to send decimal values. With es_ES for example, decimal
	  values were being sent as 32,3 instead of 32.3. Thanks Antonio
	  Leiva (antonio dot leiva at gmail dot com) for heads up.

2009-02-17 01:17  jbcooley

	* src/Npgsql/SqlGenerators/: SqlBaseGenerator.cs,
	  VisitedExpression.cs: Fixed bug in skip.  Thanks to gavin w for
	  reporting the bug.

2009-02-05 01:25  jbcooley

	* src/: VisualStudio/AssemblyInfo.cs,
	  VisualStudio/NpgsqlDataObjects.xml,
	  VisualStudio/NpgsqlDataViews.xml, Npgsql.VisualStudio2008.csproj,
	  Npgsql2008.sln: Starting DDEX support for Npgsql

2009-02-05 01:24  jbcooley

	* src/Npgsql2008.csproj: added missing BitString file

2009-01-19 01:20  jbcooley

	* src/Npgsql/NpgsqlSchema.ssdl: Fixed relationships with a simpler
	  query.  Thanks to Eugênio Ferreira Lima <eugenioflima at
	  gmail.com>

2009-01-16 14:11  talliesin

	* src/NpgsqlTypes/NpgsqlTypes.cs: Seed hashcodes for NpgsqlPath and
	  NpgsqlPolygon better.

2009-01-16 13:40  talliesin

	* src/NpgsqlTypes/: BitString.cs, NpgsqlTypes.cs: Short-cut some
	  potentially expensive equality comparisons in cases where objects
	  are shallow copies of each other.

2009-01-12 09:26  talliesin

	* src/Npgsql/NpgsqlRowDescription.cs: Use Kana-width-insensitive
	  comparisons supplied by System.Globalization.CompareInfo rather
	  than rolling our own.

2009-01-07 16:48  talliesin

	* src/NpgsqlTypes/DateDatatypes.cs: Fix for string representation
	  of some negative intervals. Thanks to Mathieu Fenniak for bashing
	  out the issues.

2008-12-26 14:08  talliesin

	* src/Npgsql/: NpgsqlMediator.cs, NpgsqlQuery.cs: Only produce
	  SQLSent string from stringbuilder if needed.

2008-12-26 13:24  talliesin

	* src/Npgsql/: NpgsqlCommand.cs, NpgsqlParameter.cs,
	  NpgsqlQuery.cs, PGUtil.cs: Fix lack of parameter length in
	  another case. Replace many cases of string concatenation with
	  StringBuilder use.

2008-12-25 21:34  talliesin

	* src/Npgsql/NpgsqlCommand.cs: Fix lack of parameter length in
	  certain cases (bug #1010538).

2008-12-25 15:21  talliesin

	* src/NpgsqlTypes/: NpgsqlTypeConverters.cs, NpgsqlTypesHelper.cs:
	  More explicit serialisation of numeric types, for added
	  type-safety (reducing attack surface for exploits based on
	  passing non-numeric data where numeric data is expected).

2008-12-25 14:35  talliesin

	* src/NpgsqlTypes/NpgsqlTypeConverters.cs: Improved efficiency in
	  serialising bytea values from .NET representation to postgres
	  literal.

2008-12-24 09:41  talliesin

	* src/NpgsqlTypes/BitString.cs: [no log message]

2008-12-24 09:35  talliesin

	* src/NpgsqlTypes/: BitString.cs, NpgsqlDbType.cs,
	  NpgsqlTypeConverters.cs: BitString handling: 1 minor bug fix,
	  comments on some of the potentially more confusing code.

2008-12-23 22:17  talliesin

	* src/: NpgsqlTypes/NpgsqlDbType.cs, NpgsqlTypes/BitString.cs,
	  NpgsqlTypes/NpgsqlTypeConverters.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs, Npgsql/NpgsqlDataReader.cs:
	  Support for bit strings.

2008-12-22 08:12  talliesin

	* src/NpgsqlTypes/NpgsqlTypesHelper.cs: Even greater concurrency on
	  creation of NpgsqlBackendTypeMapping.

2008-12-22 08:07  talliesin

	* src/NpgsqlTypes/NpgsqlTypesHelper.cs: Greater concurrency on
	  creation of NpgsqlBackendTypeMapping.

2008-12-21 22:03  talliesin

	* src/NpgsqlTypes/NpgsqlTypeConverters.cs,
	  testsuite/noninteractive/NUnit20/DataReaderTests.cs: Make money
	  datatype handling locale-independent (see item [#1010503]).

2008-12-20 23:57  talliesin

	* src/.cvsignore, testsuite/noninteractive/NUnit20/.cvsignore: [no
	  log message]

2008-12-20 17:25  talliesin

	* src/: Npgsql/NpgsqlCancelRequest.cs, Npgsql/NpgsqlClosedState.cs,
	  Npgsql/NpgsqlCommand.cs, Npgsql/NpgsqlCommandBuilder.cs,
	  Npgsql/NpgsqlConnection.cs,
	  Npgsql/NpgsqlConnectionStringBuilder.cs,
	  Npgsql/NpgsqlCopyOutState.cs, Npgsql/NpgsqlDataAdapter.cs,
	  Npgsql/NpgsqlDataReader.cs, Npgsql/NpgsqlEventLog.cs,
	  Npgsql/NpgsqlException.cs, Npgsql/NpgsqlFlush.cs,
	  Npgsql/NpgsqlParameter.cs, Npgsql/NpgsqlParameterCollection.cs,
	  Npgsql/NpgsqlParse.cs, Npgsql/NpgsqlPasswordPacket.cs,
	  Npgsql/NpgsqlPromotableSinglePhaseNotification.cs,
	  Npgsql/NpgsqlReadyState.cs, Npgsql/NpgsqlStartupPacket.cs,
	  Npgsql/NpgsqlStartupState.cs, Npgsql/NpgsqlState.cs,
	  Npgsql/NpgsqlSync.cs, Npgsql/NpgsqlTransaction.cs,
	  Npgsql/NpgsqlTransactionCallbacks.cs, Npgsql/PGUtil.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs: Remove (now pointless and only
	  recently added) version info from connection. Take default value
	  from assembly info. Take class info for logging and resources
	  from reflection information.

2008-12-20 17:07  jbcooley

	* src/Npgsql/: AssemblyInfo.cs, NpgsqlConnection.cs: updated
	  assembly version for development.  Now exposing reflected
	  assembly version in the connection.

2008-12-20 15:43  talliesin

	* src/Npgsql/NpgsqlCommand.cs, src/Npgsql/NpgsqlConnector.cs,
	  src/Npgsql/NpgsqlParameter.cs,
	  src/Npgsql/NpgsqlParameterStatus.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs,
	  testsuite/noninteractive/NUnit20/DataReaderTests.cs: Cope with
	  standard_conforming_strings being "on". No warnings if
	  escape_string_warning is "on". Fix for syntax errors on certain
	  constructs in close proximity to parameter values.

2008-12-19 10:31  talliesin

	* src/NpgsqlTypes/ArrayHandling.cs: Change check for string
	  elements in ArrayNativeToBackendTypeConverter.WriteItem to check
	  for any directly supported element. Move test for item being an
	  array above test for it being IEnumerable.

2008-12-18 23:26  talliesin

	* RELEASENOTES.txt, docs/UserManual.html,
	  src/Npgsql/NpgsqlConnection.cs,
	  src/Npgsql/NpgsqlConnectionStringBuilder.cs,
	  src/Npgsql/NpgsqlConnector.cs, src/Npgsql/NpgsqlDataReader.cs,
	  src/Npgsql/NpgsqlRowDescription.cs, src/Npgsql/NpgsqlState.cs,
	  testsuite/noninteractive/NUnit20/DataReaderTests.cs: GetOrdinal
	  fixes for kana-width insensitivity and exception if field name
	  not found. See feature request #1010496

2008-12-15 01:53  fxjr

	* ChangeLog:
	  Updated changelog for 2.0.2 release

2008-12-15 01:42  jbcooley

	* testsuite/noninteractive/NUnit20/ConnectionTests.cs: Change
	  ExpectedException attriubte to pass type.

2008-12-15 01:11  jbcooley

	* src/Npgsql/AssemblyInfo.cs: Updated version for 2.0.2 release.

2008-12-15 01:00  fxjr

	* ChangeLog, RELEASENOTES.txt:
	  Updated ReleaseNotes and ChangeLog for 2.0.2 release.

2008-12-10 02:42  jbcooley

	* testsuite/noninteractive/NUnit20/SystemTransactionsTest.cs: Reuse
	  connection in transaction - test provided by Wouter Claeys

2008-12-10 02:39  jbcooley

	* testsuite/noninteractive/NUnit20/ConnectionTests.cs: Add
	  connection pool tests

2008-12-10 02:39  jbcooley

	* src/Npgsql/NpgsqlConnection.cs: Handle case where same connection
	  object is closed and opened again while inside a
	  TransactionScope.

2008-12-10 02:09  jbcooley

	* src/Npgsql/NpgsqlResourceManager.cs: Support
	  ISinglePhaseNotification to simplify some distributed transaction
	  workflows

2008-12-04 02:20  jbcooley

	* testsuite/noninteractive/NUnit20/SystemTransactionsTest.cs:
	  Ensure refcursors work with System.Transactions.

2008-12-04 02:19  jbcooley

	* testsuite/noninteractive/NUnit20/: NpgsqlTests2008.csproj,
	  TypesTests.cs: Tests for NpgsqlInterval - to be expanded to other
	  NpgsqlTypes in the future.

2008-12-04 02:18  jbcooley

	* src/NpgsqlTypes/DateDatatypes.cs: Handle negative values (thanks
	  to Mathieu Fenniak <mathieu@fenniak.net>) and singular values
	  such as "1 day"

2008-12-01 01:07  fxjr

	* src/NpgsqlTypes/NpgsqlTypesHelper.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  [#1010521] NpgsqlInterval should be quoted.  Added corresponding
	  test case.

	  Thanks Todd Lucas (tl @nospam@ onlyshallow.com) for patch.

2008-12-01 00:44  fxjr

	* src/NpgsqlTypes/ArrayHandling.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  [#1010488] NgsqlParameter of type containing DBNull values throws
	  NullReferenceException Patch [#1010514] array handling.

	  Thanks to Rikard Pavelic (rikard.pavelic @nospam@ zg.htnet.hr)
	  for array handling patch which fixed 1010488 bug. The patch
	  applied was slightly different from original but with the same
	  effect. Just changed to not add another if and use all the
	  conditions in the existing if.

2008-11-24 12:01  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  Fixed problem where parameters size wasn't being handled with
	  prepared statements.	This fix Daniel AspNet Providers Ticket 7.

	  Thanks Daniel for bringing this to my attention.

	  http://dev.nauck-it.de/aspsqlprovider/ticket/7

2008-11-18 12:59  fxjr

	* src/Npgsql/NpgsqlConnection.cs:
	  Removed a redundant check which was already being done with
	  previous patch.

2008-11-18 12:57  fxjr

	* src/Npgsql/NpgsqlConnection.cs:
	  Made NpgsqlConnection.Close log its entrance before any other
	  code.  Fixed condition tested by Close to see if it should run or
	  not.

2008-11-13 11:54  fxjr

	* docs/UserManual.html:
	  Added documentation about ProviderFactory configuration. Thanks
	  Alaric for heads up.

2008-11-11 15:58  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  [#1010495] Bad performance calling a (empty) function very often.
	  Now NpgsqlCommand caches previous results of internal checkings
	  which were taking too much time if the command was used more than
	  once.

2008-11-11 14:58  fxjr

	* src/Npgsql/NpgsqlParameter.cs:
	  Fixed a typo which prevented DateTime.MaxValue to work on
	  previous patch.  Thanks Andrus Moor for heads up.

2008-11-04 20:01  jbcooley

	* src/Npgsql/NpgsqlProviderManifest.Manifest.xml: Updated varchar
	  maximum length.

2008-11-04 01:38  fxjr

	* src/Npgsql/AssemblyInfo.cs:
	  Updated assembly info for 2.0.1 release

2008-11-04 01:28  fxjr

	* RELEASENOTES.txt:
	  Updated release notes for 2.0.1 release

2008-11-04 01:23  jbcooley

	* src/Npgsql2008.csproj: Embedded NpgsqlMetaData.xml as a resource.

2008-11-04 00:32  jbcooley

	* src/Npgsql/SqlGenerators/SqlInsertGenerator.cs: Add schema
	  qualification to table name when fetching sequence values.

2008-11-03 22:17  jbcooley

	* src/NpgsqlTypes/NpgsqlTypes.cs: Change constructors so the
	  Microsoft C# compiler recognizes the fields have been set.

2008-10-27 13:07  fxjr

	* src/NpgsqlTypes/NpgsqlTypes.cs:
	  Changed at Miguel's request to provide same constructors and
	  properties as previous version of Npgsql in order to not break
	  existing code.

2008-10-27 12:30  fxjr

	* src/NpgsqlTypes/NpgsqlTypes.cs:
	  Changed public fields into properties. Miguel de Icaza from Mono
	  project asked for this change because previous versions of Npgsql
	  used to have properties and this change could break existing
	  clients.

2008-10-27 12:22  fxjr

	* src/NpgsqlTypes/NpgsqlTypes.cs:
	  Changed tabs to spaces 4

2008-10-19 11:40  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Added tests for date and infinity comparisions.

	  Thanks Andrus Moor for heads up and test case.

2008-10-19 11:39  fxjr

	* src/Npgsql/NpgsqlParameter.cs:
	  Fix for a date and infinity values comparison.  From patch:

	  "This check for Datetime.minvalue and maxvalue is needed in order
	  to workaround a problem when comparing date values with infinity.
	   This is a known issue with postgresql and it is reported here:
	  http://archives.postgresql.org/pgsql-general/2008-10/msg00535.php
	  Josh's solution to add cast is documented here:
	  http://pgfoundry.org/forum/message.php?msg_id=1004118"

	  Thanks Josh for fix idea.

2008-10-16 11:05  fxjr

	* src/NpgsqlTypes/NpgsqlTypesHelper.cs:
	  Fixed problem with literal boolean values. Previous patch only
	  fixed for bit mapping. I forgot to fix for boolean mapping too!
	  Thanks Josh Cooley for test cases and heads up.

2008-10-14 21:16  jbcooley

	* testsuite/noninteractive/NUnit20/CommandTests.cs: Create test for
	  boolean literal support in parameters.

2008-10-10 21:34  fxjr

	* src/: Npgsql/NpgsqlCommand.cs, NpgsqlTypes/NpgsqlTypesHelper.cs:

	  Fixed a bug where boolean values were being quoted which caused
	  problems with edmgen support. Also, fixed a problem raised by
	  this modification when using protocol 2: when issuing an execute
	  statement after being prepared the cast wasn't being issued. It
	  was being sent as execute npgsqlplan1(1) when it should be
	  execute npgsqlplan1(1::bit).

2008-10-06 21:55  jbcooley

	* testsuite/noninteractive/NUnit20/DataReaderTests.cs: Test for
	  GetFieldType with arrays.

2008-10-06 21:54  jbcooley

	* src/NpgsqlTypes/NpgsqlTypesHelper.cs: Provide type information
	  for arrays and ensure that NpgsqlBackendTypeInfo always has Type.

2008-10-06 01:23  jbcooley

	* ChangeLog: Updated for 2.0 release

2008-10-06 01:15  jbcooley

	* src/Npgsql/AssemblyInfo.cs: updated to 2.0 for final release.

2008-10-06 01:07  jbcooley

	* src/Npgsql2008.csproj: removed dependencies on System.Web

2008-10-05 14:34  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs,
	  src/NpgsqlTypes/ArrayHandling.cs:
	  [#1010488] NgsqlParameter of type containing DBNull values throws
	  NullReferenceException. Thanks Christ Akkermans for testcase.
	  Now, Npgsql handles first elements which aren't null as Arrays
	  and IEnumerables. Also added test case for this bug.

2008-10-05 14:17  fxjr

	* src/NpgsqlTypes/ArrayHandling.cs:
	  Changed tabs to spaces (4)

2008-10-04 02:58  fxjr

	* src/Npgsql.build:
	  Removed build of asp.net providers as well as System.Web
	  dependencies. Now we use Daniel Nauck's providers.

2008-10-02 11:00  fxjr

	* src/Npgsql/: NpgsqlState.cs, NpgsqlState.resx:
	  Fixed misleading timeout error message. As the only timeout which
	  was being reported was about connection establishment, command
	  execution timeouts were being misinterpreted and users couldn't
	  find easily what was going wrong.

2008-09-30 00:45  jbcooley

	* src/Npgsql/SqlGenerators/VisitedExpression.cs: use standard
	  literal formatters for strings, booleans, and guids.

2008-09-29 19:41  fxjr

	* src/Npgsql/NpgsqlError.cs:

	  [npgsql-help][1004020] Backend sent unrecognized response type: q

	  References for previous patch:
	  http://pgfoundry.org/forum/message.php?msg_id=1004022.

2008-09-29 19:38  fxjr

	* src/Npgsql/NpgsqlError.cs:

	  Fixed error message: Backend sent unrecognized response type: q.
	  There was an error on Error message handling where we were
	  letting some fields without processing. Thanks Eric Montague
	  (eric @nospam@ nuws.com) for heads up and tests.

2008-09-29 12:34  fxjr

	* src/Npgsql/NpgsqlParameter.cs:

	  Added casts when parameter is null. This was causing problems
	  with prepare statements when parameter type was set to a value
	  other than DbType.Object and its value was set to null. The
	  prepare statement wasn't receiving the cast. Thanks Waldemar
	  Bergstreiser (wbr at bergstreiser dot com) for heads up.

2008-09-27 22:27  jbcooley

	* src/Npgsql/SqlGenerators/VisitedExpression.cs: Quote uuid
	  constants when used in expression.  Thanks to Yann Robin for the
	  fix.

2008-09-23 01:04  fxjr

	* src/Npgsql/NpgsqlState.cs:
	  Added try/catch to handle possible problems when cancelling a
	  request because of a threadabortexception. Thanks to Andreas
	  SchÃ¶nebeck for heads up.

2008-09-23 00:59  fxjr

	* src/Npgsql/NpgsqlState.cs:
	  Fixed tabs to 4 spaces.

2008-09-23 00:36  fxjr

	* src/Npgsql/NpgsqlConnector.cs:
	  [#1010461] Prepare invalid SQL statement causes ERROR: 26000 when
	  Npgsql.NpgsqlConnection disposed. Fixed in previous revision.
	  Forgot to reference bug report.

2008-09-18 02:26  fxjr

	* src/Npgsql/NpgsqlConnector.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Fixed a bug where Npgsql was throwing exceptions when releasing
	  connection to pool and there were portal names which were
	  associated with invalid prepared queries. Npgsql tried to
	  deallocate them and threw exceptions. Now this is property
	  surrounded by a try/catch block.

2008-09-18 01:58  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Fixed tabs to 4 spaces

	  Added test to check a problem where prepared statements were
	  lacking casts even when user set dbtype or npgsqldbtype. Now the
	  casts are properly added when needed. Thanks Waldemar
	  Bergstreiser (wbr at bergstreiser dot com) for heads up and test
	  case.

2008-09-18 01:52  fxjr

	* src/Npgsql/NpgsqlParameter.cs:
	  Fixed tabs to 4 spaces.

	  Fixed a problem where prepared statements were lacking casts even
	  when user set dbtype or npgsqldbtype. Now the casts are properly
	  added when needed.  Thanks Waldemar Bergstreiser (wbr at
	  bergstreiser dot com) for heads up and testcase.

2008-09-18 01:48  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  Fixed tabs to be changed to 4 spaces.

2008-09-15 22:02  fxjr

	* src/Npgsql/NpgsqlConnector.cs, src/Npgsql/NpgsqlTransaction.cs,
	  src/Npgsql/NpgsqlTransaction.resx,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  [#1010474] Savepoint support is missing.  Fixed. Also converted
	  all tabs to spaces 4.

2008-09-12 01:07  fxjr

	* ChangeLog:
	  Updated changelog for Npgsql RC2 release

2008-09-12 01:06  fxjr

	* RELEASENOTES.txt:
	  Added release notes for Npgsql2 RC2 release.

2008-09-12 00:35  fxjr

	* src/Npgsql/AssemblyInfo.cs:
	  Changed assembly version to RC2

2008-09-10 02:02  fxjr

	* README.txt:
	  Updated project homepage

2008-09-08 11:25  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Added a test for bug 1006158

2008-09-08 11:22  fxjr

	* src/Npgsql/NpgsqlState.cs:
	  [1010426] Broken Connections. Added some code to help minimize
	  those problems. Now Npgsql can handle threadabort exceptions and
	  try to clean up things.

2008-09-08 11:02  fxjr

	* src/Npgsql/NpgsqlConnector.cs:
	  Uncommented out the code which checks if a connection is valid
	  when returning from pool.

2008-09-08 11:01  fxjr

	* src/Npgsql/: NpgsqlConnectionStringBuilder.cs,
	  NpgsqlConnectorPool.cs:
	  [1010466] Npgsql isn't using pool when executing under Mono.

	  Also, changes the way Npgsql checks if the connection is ok when
	  returning from pool. Previous code was a little bit crypt and
	  also was less performant as it used a new generated guid and
	  listen and notification queries.

2008-09-05 11:57  fxjr

	* src/Npgsql/NpgsqlConnectorPool.cs:
	  Fixed ClearAllPools which were missing a line to remove the
	  ConnectorsList. Thanks Christian Holzner (support at tuga dot it)
	  for heads up and patch.

2008-09-05 11:14  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  Fixed an improperly added finally block to handle closeconnection
	  commandbehavior. By closing the connection in a finally block, I
	  broke the fetch data on demand. Now, I only close the connection
	  when there is an exception.

	  Thanks Christian Holzner (support at tuga dot it) for heads up
	  and patch.

2008-09-03 23:15  jbcooley

	* src/Npgsql2008.csproj: added condition to referenced 3.5
	  assemblies

2008-09-02 22:46  jbcooley

	* src/Npgsql/NpgsqlSchema.ssdl: change multiset value to read from
	  type rather than attribute.  Also fixed functions, function
	  parameters and procedure parameters to no longer depend on
	  pg_attribute.  This corrected the parameter generations and
	  drastically improved performance.

2008-09-01 17:58  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  [npgsql-open-discussion][1003946] RE: Connection leak in
	  ExecuteReader/CloseConnection. Fixed a problem where Npgsql
	  wasn't closing the connection if commandbehavior was said to
	  close it and an error occured while executing
	  ExecuteReader(CommandBehavior) method. Thanks Andrus Moor and
	  Alaric Dailey for heads up and tests.

2008-08-29 16:25  fxjr

	* src/Npgsql/NpgsqlConnectorPool.cs:
	  [#1010415] Stream seek error on close. Fix a problem where
	  protocol was gonig out of sync and data was being left to be read
	  on stream.

2008-08-25 22:28  jbcooley

	* src/Npgsql/SqlGenerators/SqlBaseGenerator.cs: more support for
	  uuid type.  Thanks to Yann Robin for this and many of the
	  previous entity framework bug fixes.

2008-08-24 15:14  jbcooley

	* src/Npgsql/NpgsqlProviderManifest.Manifest.xml: Added xml type
	  support

2008-08-24 15:13  jbcooley

	* src/Npgsql/NpgsqlProviderManifest.cs: Added xml type support and
	  fixed uuid

2008-08-24 15:11  jbcooley

	* src/Npgsql/SqlGenerators/SqlBaseGenerator.cs: removed completed
	  TODO comment.

2008-08-23 18:30  jbcooley

	* src/Npgsql/SqlGenerators/VisitedExpression.cs: support for more
	  constant types

2008-08-23 18:28  jbcooley

	* src/Npgsql/SqlGenerators/SqlBaseGenerator.cs: Support for more
	  canonical functions

2008-08-22 18:02  jbcooley

	* src/Npgsql/SqlGenerators/SqlBaseGenerator.cs: support cross join
	  and string concat

2008-08-22 18:00  jbcooley

	* src/Npgsql/SqlGenerators/: SqlDeleteGenerator.cs,
	  SqlUpdateGenerator.cs, SqlInsertGenerator.cs: quote column names

2008-08-22 17:59  jbcooley

	* src/Npgsql/SqlGenerators/VisitedExpression.cs: Fix insert and
	  update syntax.  Support cross join

2008-08-21 01:06  jbcooley

	* src/Npgsql/NpgsqlSchema.ssdl: fix metadata queries to match the
	  RTM release

2008-08-20 03:08  fxjr

	* src/Npgsql/PGUtil.cs:
	  Added support to see what string was read from server when debug
	  is on. I don't know why I didn't add that before!! :)

2008-08-16 00:35  jbcooley

	* src/Npgsql/NpgsqlProviderManifest.Manifest.xml: added support for
	  uuid type

2008-08-16 00:15  jbcooley

	* src/Npgsql/NpgsqlSchema.ssdl: update precision to int4.

2008-08-15 22:55  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  [#1010401] uuid data type not parsed correctly to it's native
	  .NET type.  Added test which confirms this bug is fixed.

2008-08-14 18:04  fxjr

	* src/Npgsql/NpgsqlState.cs:
	  [#1010457] Avoid throwing exception when parsing an integer.
	  Thanks Alain Cao (alain @nospam@ effigy.be) for patch.

2008-08-13 15:52  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  Added missing support to not add casts to parameters when not
	  needed when calling functions. This support also removes casts
	  when passing null values.

2008-08-13 02:59  fxjr

	* testsuite/noninteractive/NUnit20/DataAdapterTests.cs:
	  Added some tests for DataAdapter.Update method.

2008-08-12 00:31  jbcooley

	* src/Npgsql/SqlGenerators/: SqlBaseGenerator.cs,
	  SqlDeleteGenerator.cs, SqlInsertGenerator.cs,
	  SqlSelectGenerator.cs, SqlUpdateGenerator.cs: Update for .NET 3.5
	  SP1 RTM

2008-08-12 00:30  jbcooley

	* src/Npgsql/NpgsqlProviderManifest.cs: Update for .NET 3.5 SP1 RTM
	  + bug fix in GetStoreType throwing ArgumentException (thanks
	  again to Thanh Trung Le)

2008-08-11 00:15  jbcooley

	* testsuite/noninteractive/NUnit20/DataReaderTests.cs: Added test
	  for RecordsAffected

2008-08-10 03:21  fxjr

	* src/Npgsql/NpgsqlCommand.cs,
	  testsuite/noninteractive/NUnit20/ConnectionTests.cs:
	  [#1000581] Possibly bug: not initialized Connector.  Added
	  another check for Connector initialization. Thanks Stan Lagun for
	  testcase.

2008-08-09 03:28  fxjr

	* src/NpgsqlTypes/NpgsqlTypesHelper.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Fixed regression where quoting numbers could give errors. Now,
	  int2, int4 and int8 aren't quoted anymore.  Thanks Josh Cooley
	  and Mike S for heads up.  See
	  http://pgfoundry.org/forum/message.php?msg_id=1003837 for
	  discussion about this problem.

2008-07-30 23:55  jbcooley

	* src/Npgsql/SqlGenerators/: SqlBaseGenerator.cs,
	  SqlDeleteGenerator.cs, SqlInsertGenerator.cs,
	  SqlSelectGenerator.cs, SqlUpdateGenerator.cs,
	  VisitedExpression.cs: Updates to SQL generation.  Now seem to
	  pass all tests that don't require lateral join (CROSS APPLY in
	  Sql Server)

2008-07-28 23:17  jbcooley

	* src/Npgsql/AssemblyInfo.cs: Updated changelog for Npgsql 2.0 RC1
	  release (version 1.99.1)

2008-07-28 23:16  jbcooley

	* ChangeLog: Updated changelog for Npgsql 2.0 RC1 release

2008-07-28 22:47  jbcooley

	* src/Npgsql/NpgsqlConnector.cs: Make Npgsql more stable in the
	  face of Thread.Abort.  Many thanks to Andreas Schönebeck for
	  reporting this and providing a very solid test case.

2008-07-28 22:43  jbcooley

	* src/Npgsql/: NpgsqlTransaction.cs, NpgsqlConnectorPool.cs: Make
	  Npgsql more stable in the face of Thread.Abort.  Many thanks to
	  Andreas Schönebeck for reporting this and providing a very solid
	  test case.

2008-07-28 22:35  jbcooley

	* src/Npgsql/NpgsqlProviderManifest.cs: Bug 1010440 - Check for
	  correct type when getting store type.    Thanks to Thanh Trung Le
	  for reporting the bug and offering the solution.

2008-07-28 02:59  fxjr

	* src/NpgsqlTypes/NpgsqlTypeConverters.cs:
	  [#1010231] Reading result set with UUID is very slow

	  Forgot to add the patch for the NpgsqlTypeConverters.cs file.
	  Sorry for that. Now cvs head compiles ok. Thanks Matthew
	  Gabeler-Lee and Josh Cooley for heads up.

2008-07-22 02:15  jbcooley

	* src/Npgsql/SqlGenerators/: SqlBaseGenerator.cs,
	  SqlSelectGenerator.cs, VisitedExpression.cs: quote identifiers
	  when generating sql

2008-07-22 02:13  jbcooley

	* src/Npgsql/NpgsqlSchema.ssdl: Improve function metadata queries

2008-07-20 02:02  fxjr

	* src/: NpgsqlTypes/NpgsqlTypesHelper.cs,
	  Npgsql/NpgsqlDataReader.cs:
	  [#1010231] Reading result set with UUID is very slow [#1010230]
	  Reading result set with UUID is very slow

	  Applied patch to handle uuid types better. Now, instead of
	  relying on ChangeType, it was added an explicit handler for uuid
	  types.  Thanks Michael Parshin and Matthew Gabeler-Lee for
	  patches.

2008-07-13 20:21  fxjr

	* src/: Npgsql2008.csproj, Npgsql/NpgsqlClosedState.de.resx,
	  Npgsql/NpgsqlCommandBuilder.de.resx,
	  Npgsql/NpgsqlConnectedState.de.resx,
	  Npgsql/NpgsqlConnectionStringBuilder.de.resx,
	  Npgsql/NpgsqlException.de.resx, Npgsql/NpgsqlReadyState.de.resx,
	  Npgsql/NpgsqlRow.de.resx, Npgsql/NpgsqlState.de.resx,
	  Npgsql/PGUtil.de.resx, NpgsqlTypes/NpgsqlTypesHelper.de.resx:
	  [#1010425] Patch for actual german translation

	  Added missing german localization files and fix VS.Net 2008
	  project file to use them and previous french localization
	  commited.  Thanks Christian Graefe (christian.graefe @nospam@
	  web.de) for patch.

2008-07-10 02:10  fxjr

	* src/NpgsqlTypes/LargeObjectManager.cs:
	  Fixed a problem where LargeObjectManager was incorrectly closing
	  the connection.  Thanks Jordan A from forum discussion:
	  http://pgfoundry.org/forum/forum.php?thread_id=1790&forum_id=519
	  for heads up.

2008-07-09 00:40  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  Added support to not add type casts with prepared statements.
	  Previous patch only added this capability for non prepared
	  queries. Now, types without casts have the type written as
	  "unknown" so type inference is done by server backend.

2008-07-04 12:34  fxjr

	* src/: Npgsql/NpgsqlClosedState.fr.resx,
	  Npgsql/NpgsqlCommand.fr.resx,
	  Npgsql/NpgsqlCommandBuilder.fr.resx,
	  Npgsql/NpgsqlConnectedState.fr.resx,
	  Npgsql/NpgsqlConnection.fr.resx,
	  Npgsql/NpgsqlConnectionStringBuilder.fr.resx,
	  Npgsql/NpgsqlEventLog.fr.resx, Npgsql/NpgsqlException.fr.resx,
	  Npgsql/NpgsqlParameter.fr.resx,
	  Npgsql/NpgsqlParameterCollection.fr.resx,
	  Npgsql/NpgsqlReadyState.fr.resx, Npgsql/NpgsqlRow.fr.resx,
	  Npgsql/NpgsqlState.fr.resx, Npgsql/NpgsqlTransaction.fr.resx,
	  Npgsql/PGUtil.fr.resx, Npgsql.build: [#1010424] French
	  localization Added French localization. Thanks Mathieu Cartoixa
	  (mathieu.cartoixa @nospam@ free.fr) for patch.

2008-07-03 16:50  fxjr

	* src/Npgsql/NpgsqlParameterCollection.cs:

	  [#1010421] Matching of parameter names should be case
	  insensitive.	Npgsql now searches for index of parameter names
	  using case sensitivity and case insensitivity.  Thanks Waldemar
	  Bergstreiser for patch.

2008-06-26 11:31  fxjr

	* src/Npgsql/NpgsqlParameter.cs:
	  Added support to not add casts to null values.  Thanks Waldemar
	  Bergstreiser for heads up.

2008-06-23 10:18  talliesin

	* src/Npgsql/: NpgsqlConnection.cs, NpgsqlTransactionCallbacks.cs:
	  NpgsqlConnection.State only returns Open or Closed. FullState
	  returns Or'd version.

2008-06-22 13:48  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Added tests for parameter casts.

2008-06-22 13:21  fxjr

	* src/: Npgsql/NpgsqlCommand.cs, Npgsql/NpgsqlParameter.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs:

	  [#1003400] Later type binding for DbType.Object

	  Fixed problems with explicit parameter datatype casting. Now,
	  whenever as parameter has a dbtype.object data type, the cast
	  will be turned off. This will revert the flexibility of letting
	  the type specification to postgresql itself.

	  If a user wants to turn cast on, just specify a dbtype value
	  other than object or specify an NpgsqlDbType. See:
	  http://pgfoundry.org/forum/message.php?msg_id=1003583,
	  http://pgfoundry.org/forum/message.php?msg_id=1003620 and
	  http://pgfoundry.org/tracker/index.php?func=detail&aid=1003400&group_id=1000140&atid=592
	  for discussions about that. Also, DbType.Object is mapped in
	  NpgsqlTypesHelper as an alias to text datatype on internal
	  mapping.

	  Thanks Waldemar Bergstreiser and Andrus Moor for discussions
	  about that.

2008-05-20 01:06  jbcooley

	* src/Npgsql/: SqlGenerators/SqlBaseGenerator.cs,
	  SqlGenerators/SqlInsertGenerator.cs,
	  SqlGenerators/SqlSelectGenerator.cs,
	  SqlGenerators/VisitedExpression.cs,
	  NpgsqlProviderManifest.Manifest.xml, NpgsqlProviderManifest.cs,
	  NpgsqlSchema.msl, NpgsqlSchema.ssdl, NpgsqlServices.cs: updates
	  to Entity Framework support for .NET 3.5 SP1 beta

2008-05-15 23:42  jbcooley

	* ChangeLog: Updated for beta 4 release

2008-05-14 00:55  jbcooley

	* src/Npgsql/AssemblyInfo.cs: bump version number for beta 4

2008-05-14 00:31  jbcooley

	* src/NpgsqlTypes/NpgsqlTypeConverters.cs: bug #1010372.  Changed
	  the way bytes were parsed.  Thanks to Matt Robinson for reporting
	  the bug.

2008-05-14 00:27  jbcooley

	* src/Npgsql/: NpgsqlCommand.cs, NpgsqlConnector.cs,
	  NpgsqlConnectorPool.cs, NpgsqlDataReader.cs: Handle IOExceptions
	  and translate them to NpgsqlExceptions.  Also migrate
	  IOExceptions from the listen thread to the thread owning the
	  connection.

2008-05-07 00:35  jbcooley

	* src/Npgsql/SqlGenerators/SqlBaseGenerator.cs: Check that a
	  defining query has a value before using it.

2008-05-07 00:34  jbcooley

	* src/Npgsql/NpgsqlSchema.ssdl: Restrict metadata access from the
	  pg_catalog and information_schema schemas.  This makes edmgen
	  return only interesting tables.  In my samples, these are the
	  tables in public.  (Similar for views, columns, keys, etc.)

2008-05-05 20:04  jbcooley

	* testsuite/noninteractive/NUnit20/SystemTransactionsTest.cs:
	  Additional

2008-05-05 20:02  jbcooley

	* src/Npgsql/: NpgsqlPromotableSinglePhaseNotification.cs,
	  NpgsqlResourceManager.cs, NpgsqlTransactionCallbacks.cs:
	  Improvements in System.Transactions support.	Fixed
	  NullReferenceException initially supported by Chris Coleman.

2008-05-03 12:33  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:

	  Added a prepared bytea support test.

2008-05-02 12:00  fxjr

	* testsuite/noninteractive/NUnit20/NpgsqlTests.build:

	  Added missing System.Transactions.dll assembly so tests can be
	  compiled ok.

2008-04-27 22:55  jbcooley

	* testsuite/noninteractive/NUnit20/: NpgsqlTests2008.csproj,
	  SystemTransactionsTest.cs: Added tests for System.Transactions

2008-04-27 22:54  jbcooley

	* src/Npgsql/NpgsqlPromotableSinglePhaseNotification.cs:
	  Improvements to System.Transactions support.	Thanks to Chris
	  Coleman for reporting the bug which lead to these improvements.

2008-04-27 22:50  jbcooley

	* testsuite/noninteractive/NUnit20/DataAdapterTests.cs: Make Fill
	  test work with version 2 of the protocol

2008-04-12 12:52  jbcooley

	* testsuite/noninteractive/NUnit20/DataReaderTests.cs: Test for
	  DataTable.Load and using varchar and char.

2008-04-12 12:47  jbcooley

	* testsuite/noninteractive/NUnit20/DataAdapterTests.cs: Tests for
	  Fill and populating schema

2008-04-12 12:46  jbcooley

	* src/Npgsql/NpgsqlDataReader.cs: #1010371 - Fix DataTable.Load by
	  fixing NpgsqlDataReader.GetSchemaTable.  Thanks to Fraser Kp for
	  reporting the bug.

2008-04-11 11:35  fxjr

	* src/Npgsql/NpgsqlCommand.cs:

	  Readded cast for byte[] when handling bytea parameters which was
	  removed by mistake. This was giving problems with byte[] support.
	  Thanks Alaric for heads up.

2008-04-10 23:55  jbcooley

	* src/: Npgsql2008.csproj, Npgsql2008.sln: Add Entity Framework
	  configurations to allow 2.0 versions and 3.5 + Entity Framework
	  versions through configuration selection.

2008-04-10 23:43  jbcooley

	* src/Npgsql/Web/: NpgsqlMembershipProvider.cs,
	  NpgsqlProfileProvider.cs: Fully qualify type name for
	  ProviderException so that it doesn't conflict with
	  System.Data.ProviderException in System.Data.Entity assembly

2008-04-10 20:29  jbcooley

	* src/Npgsql/SSPIHandler.cs: Sspi patch from Brar Piening

2008-04-10 00:06  fxjr

	* src/NpgsqlTypes/NpgsqlTypesHelper.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:

	  Fixed mapping for char parameter values. Now, Npgsql won't throw
	  a DbType cast exception when trying to assign a char to a
	  parameter value. Also, Npgsql will send the proper cast ::char
	  when sending queries. See
	  http://pgfoundry.org/forum/message.php?msg_id=1003367 for
	  discussion about that. Thanks Andrus Moor for testcase.

2008-04-07 01:16  fxjr

	* ChangeLog: Updated changelog for Npgsql Beta3 release

2008-04-07 01:14  fxjr

	* RELEASENOTES.txt: Updated release notes for Npgsql beta3 release

2008-04-07 01:12  fxjr

	* docs/UserManual.html: Added documentation about integrated
	  security.

2008-04-07 01:02  jbcooley

	* src/Npgsql2008.csproj: Added additional resources to project

2008-04-07 00:55  jbcooley

	* src/Npgsql/NpgsqlConnectionStringBuilder.cs: Change Integrated
	  Security default to false.  Fix Integrated Security property to
	  store using the correct key.

2008-04-07 00:24  jbcooley

	* src/: Npgsql2008.csproj, Npgsql/NpgsqlConnection.cs,
	  Npgsql/NpgsqlConnectionStringBuilder.cs,
	  Npgsql/NpgsqlConnector.cs, Npgsql/NpgsqlState.cs: Added SSPI
	  patch from Brar Piening

2008-04-05 21:28  jbcooley

	* testsuite/noninteractive/NUnit20/NpgsqlTests2008.csproj: Added
	  assembly reference to fix build

2008-04-05 21:28  jbcooley

	* src/Npgsql2008.csproj: Added missing files to fix build

2008-04-05 14:05  fxjr

	* src/Npgsql.mdp:

	  Fixed assembly references. Fixed assembly signing.

2008-04-05 01:23  fxjr

	* src/Npgsql.mdp: Added missing DateDataTypes.cs file to project

2008-04-05 00:10  fxjr

	* RELEASENOTES.txt:

	  Updated RELEASENOTES.txt

2008-04-04 23:44  fxjr

	* src/Npgsql.mdp:

	  Updated Monodevelop project file.

2008-04-04 23:43  fxjr

	* src/Npgsql.build:

	  Added missing assembly reference.

2008-04-04 23:41  fxjr

	* src/Npgsql/AssemblyInfo.cs:

	  Updated assembly version to Beta3 release

2008-04-03 08:03  talliesin

	* src/Npgsql/: NpgsqlConnector.cs: Don't change client encoding if
	  we know it to already be utf-8. Thanks to David Bachmann.

2008-04-02 12:16  fxjr

	* src/Npgsql/AssemblyInfo.cs, src/Npgsql/HashAlgorithm.cs,
	  src/Npgsql/MD5.cs, src/Npgsql/MD5CryptoServiceProvider.cs,
	  src/Npgsql/NpgsqlAsciiRow.cs, src/Npgsql/NpgsqlBackEndKeyData.cs,
	  src/Npgsql/NpgsqlBind.cs, src/Npgsql/NpgsqlCancelRequest.cs,
	  src/Npgsql/NpgsqlClosedState.cs, src/Npgsql/NpgsqlCommand.cs,
	  src/Npgsql/NpgsqlCommandBuilder.cs,
	  src/Npgsql/NpgsqlConnectedState.cs,
	  src/Npgsql/NpgsqlConnection.cs,
	  src/Npgsql/NpgsqlConnectionStringBuilder.cs,
	  src/Npgsql/NpgsqlConnector.cs, src/Npgsql/NpgsqlConnectorPool.cs,
	  src/Npgsql/NpgsqlCopyFormat.cs, src/Npgsql/NpgsqlCopyIn.cs,
	  src/Npgsql/NpgsqlCopyInState.cs,
	  src/Npgsql/NpgsqlCopyInStream.cs, src/Npgsql/NpgsqlCopyOut.cs,
	  src/Npgsql/NpgsqlCopyOutState.cs,
	  src/Npgsql/NpgsqlCopyOutStream.cs,
	  src/Npgsql/NpgsqlCopySerializer.cs,
	  src/Npgsql/NpgsqlDataAdapter.cs, src/Npgsql/NpgsqlDataReader.cs,
	  src/Npgsql/NpgsqlDescribe.cs, src/Npgsql/NpgsqlError.cs,
	  src/Npgsql/NpgsqlEventLog.cs, src/Npgsql/NpgsqlException.cs,
	  src/Npgsql/NpgsqlExecute.cs, src/Npgsql/NpgsqlFactory.cs,
	  src/Npgsql/NpgsqlFlush.cs, src/Npgsql/NpgsqlMediator.cs,
	  src/Npgsql/NpgsqlMessageTypes.cs,
	  src/Npgsql/NpgsqlNotificationEventArgs.cs,
	  src/Npgsql/NpgsqlParameter.cs,
	  src/Npgsql/NpgsqlParameterCollection.cs,
	  src/Npgsql/NpgsqlParameterStatus.cs, src/Npgsql/NpgsqlParse.cs,
	  src/Npgsql/NpgsqlPasswordPacket.cs,
	  src/Npgsql/NpgsqlPromotableSinglePhaseNotification.cs,
	  src/Npgsql/NpgsqlQuery.cs, src/Npgsql/NpgsqlReadyState.cs,
	  src/Npgsql/NpgsqlResourceManager.cs, src/Npgsql/NpgsqlRow.cs,
	  src/Npgsql/NpgsqlRowDescription.cs, src/Npgsql/NpgsqlSchema.cs,
	  src/Npgsql/NpgsqlServices.cs, src/Npgsql/NpgsqlStartupPacket.cs,
	  src/Npgsql/NpgsqlStartupState.cs, src/Npgsql/NpgsqlState.cs,
	  src/Npgsql/NpgsqlSync.cs, src/Npgsql/NpgsqlTransaction.cs,
	  src/Npgsql/NpgsqlTransactionCallbacks.cs, src/Npgsql/PGUtil.cs,
	  src/Npgsql/SqlGenerators/SqlInsertGenerator.cs,
	  src/Npgsql/Web/NpgsqlMembershipProvider.cs,
	  src/Npgsql/Web/NpgsqlProfileProvider.cs,
	  src/Npgsql/Web/NpgsqlRoleProvider.cs,
	  src/NpgsqlTypes/ArrayHandling.cs,
	  src/NpgsqlTypes/DateDatatypes.cs, src/NpgsqlTypes/FastPath.cs,
	  src/NpgsqlTypes/FastPathArg.cs, src/NpgsqlTypes/LargeObject.cs,
	  src/NpgsqlTypes/LargeObjectManager.cs,
	  src/NpgsqlTypes/NpgsqlDbType.cs,
	  src/NpgsqlTypes/NpgsqlTypeConverters.cs,
	  src/NpgsqlTypes/NpgsqlTypes.cs,
	  src/NpgsqlTypes/NpgsqlTypesHelper.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:

	  [#1010312] Code cleanup. Thanks Alaric Dailey for patch.

2008-04-01 13:11  talliesin

	* docs/: UserManual.html, global.css, memory.png,
	  preloadScalabilty.html, time.png: Update documentation

2008-03-25 22:33  jbcooley

	* src/: Npgsql/NpgsqlProviderManifest.Manifest.xml,
	  Npgsql/NpgsqlProviderManifest.cs, Npgsql/NpgsqlSchema.msl,
	  Npgsql/NpgsqlSchema.ssdl, Npgsql/NpgsqlServices.cs,
	  Npgsql/SqlGenerators/SqlBaseGenerator.cs, Npgsql2008.csproj:
	  Better support for the edmgen tool and other tools that use the
	  manifest and metadata api

2008-03-25 11:55  talliesin

	* src/Npgsql/NpgsqlDataReader.cs: Some more commenting

2008-03-22 20:17  fxjr

	* docs/UserManual.html:

	  Added a notice to not use execute a command inside a notification
	  handler. Thanks Xavier Thomas (xavie dot .thomas dot 1980 at
	  gmail dot com) for heads up.

2008-03-20 08:15  talliesin

	* RELEASENOTES.txt: [no log message]

2008-03-16 23:55  jbcooley

	* src/Npgsql/SqlGenerators/SqlBaseGenerator.cs: Added support for
	  INTERSECT and EXCEPT.  Fixed LIMIT when used in joins.

2008-03-15 01:24  jbcooley

	* src/Npgsql/SqlGenerators/SqlBaseGenerator.cs: Pass more tests by
	  supporting more edm functions and better variable substitution

2008-03-15 01:22  jbcooley

	* src/Npgsql/NpgsqlServices.cs: Fix construction of SqlGenerators

2008-03-14 23:17  talliesin

	* src/: Npgsql.csproj, Npgsql.sln, Npgsql/NpgsqlAsciiRow.cs,
	  Npgsql/NpgsqlConnection.cs,
	  Npgsql/NpgsqlConnectionStringBuilder.cs,
	  Npgsql/NpgsqlConnector.cs, Npgsql/NpgsqlDataReader.cs,
	  NpgsqlTypes/DateDatatypes.cs, NpgsqlTypes/NpgsqlDbType.cs,
	  NpgsqlTypes/NpgsqlTypeConverters.cs, NpgsqlTypes/NpgsqlTypes.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs: Data types supporting date
	  ranges outside of those supported by System.DateTime and the
	  greater variety and detail provided by postgres' date and time
	  datatypes.

	  Moved Npgsql into the same file, as it is similar in some ways.

	  Becaues these datatypes can clash with cases where one uses
	  System.DateTime with a DataAdaptor, added a connection string
	  option to choose between the the two.

	  Also added error handling for the case where System.DateTime is
	  being used, and an unexpected value outside of its range appears
	  in data.

2008-03-14 17:58  talliesin

	* testsuite/noninteractive/NUnit20/: DataAdapterTests.cs,
	  DataReaderTests.cs: [no log message]

2008-03-14 17:45  talliesin

	* testsuite/noninteractive/NUnit20/: BaseClassTests.cs,
	  CommandTests.cs, ConnectionTests.cs, DataAdapterTests.cs,
	  DataReaderTests.cs, PrepareTests.cs: Inherit V2 tests from V3
	  tests to keep consistency between them.

2008-03-14 01:46  fxjr

	* src/Npgsql/PGUtil.cs:

	  Fixed handling of non digit chars when extracting server version
	  from "select version()" return. It was giving problems for server
	  versions in the format: 8.3beta1 for example.

2008-03-14 01:44  fxjr

	* testsuite/noninteractive/NUnit20/NpgsqlTests.dll.config:

	  Added connection string for tests using protocol version 2

2008-03-14 01:44  fxjr

	* testsuite/noninteractive/NUnit20/NpgsqlTests.build:

	  Added System.Configuration assembly reference to build test
	  cases. Now testcases compile ok with nant

2008-03-13 12:49  talliesin

	* src/Npgsql/NpgsqlState.cs: Better block on "beta" in server
	  version strings - doesn't pick up numbers following "beta".

2008-03-13 12:05  talliesin

	* src/NpgsqlTypes/NpgsqlTypes.cs: Remove dependencies upon
	  System.Drawing.

	  Make NpgsqlInterval clonable

2008-03-13 12:03  talliesin

	* src/Npgsql/NpgsqlState.cs: Fix server version breaking on "beta"

2008-03-12 00:49  jbcooley

	* src/Npgsql/SqlGenerators/SqlBaseGenerator.cs: Support date
	  extraction functions

2008-03-11 14:21  talliesin

	* src/Npgsql/NpgsqlConnection.cs: Silly typo!

2008-03-11 13:57  talliesin

	* src/.cvsignore, src/Npgsql.csproj, src/Npgsql/NpgsqlCommand.cs,
	  src/Npgsql/NpgsqlConnection.cs, src/Npgsql/NpgsqlParameter.cs,
	  src/Npgsql/SqlGenerators/SqlBaseGenerator.cs,
	  src/Npgsql/SqlGenerators/SqlDeleteGenerator.cs,
	  src/Npgsql/SqlGenerators/SqlInsertGenerator.cs,
	  src/Npgsql/SqlGenerators/SqlSelectGenerator.cs,
	  src/Npgsql/SqlGenerators/SqlUpdateGenerator.cs,
	  src/Npgsql/SqlGenerators/VisitedExpression.cs,
	  testsuite/noninteractive/NUnit20/App.config,
	  testsuite/noninteractive/NUnit20/BaseClassTests.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs,
	  testsuite/noninteractive/NUnit20/ConnectionTests.cs,
	  testsuite/noninteractive/NUnit20/DataAdapterTests.cs,
	  testsuite/noninteractive/NUnit20/DataReaderTests.cs,
	  testsuite/noninteractive/NUnit20/NpgsqlTests.csproj,
	  testsuite/noninteractive/add_functions.sql: Redo merge.

2008-03-11 07:46  talliesin

	* src/: Npgsql.build, .cvsignore, Npgsql.csproj, Npgsql.sln,
	  Npgsql2008.csproj, Npgsql/AssemblyInfo.cs,
	  Npgsql/NpgsqlAsciiRow.cs, Npgsql/NpgsqlBackEndKeyData.cs,
	  Npgsql/NpgsqlBind.cs, Npgsql/NpgsqlCancelRequest.cs,
	  Npgsql/NpgsqlClosedState.cs, Npgsql/NpgsqlCommand.cs,
	  Npgsql/NpgsqlCommandBuilder.cs, Npgsql/NpgsqlConnectedState.cs,
	  NpgsqlTypes/ArrayHandling.cs, NpgsqlTypes/FastPath.cs,
	  NpgsqlTypes/LargeObjectManager.cs, NpgsqlTypes/NpgsqlDbType.cs,
	  NpgsqlTypes/NpgsqlTypeConverters.cs, NpgsqlTypes/NpgsqlTypes.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs, Npgsql/NpgsqlBinaryRow.cs,
	  Npgsql/NpgsqlConnection.cs,
	  Npgsql/NpgsqlConnectionStringBuilder.cs,
	  Npgsql/NpgsqlConnector.cs, Npgsql/NpgsqlConnectorPool.cs,
	  Npgsql/NpgsqlCopyFormat.cs, Npgsql/NpgsqlCopyIn.cs,
	  Npgsql/NpgsqlCopyInState.cs, Npgsql/NpgsqlCopyOut.cs,
	  Npgsql/NpgsqlCopyOutState.cs, Npgsql/NpgsqlCopySerializer.cs,
	  Npgsql/NpgsqlDataReader.cs, Npgsql/NpgsqlDescribe.cs,
	  Npgsql/NpgsqlError.cs, Npgsql/NpgsqlException.cs,
	  Npgsql/NpgsqlExecute.cs, Npgsql/NpgsqlFlush.cs,
	  Npgsql/NpgsqlMediator.cs, Npgsql/NpgsqlMessageTypes.cs,
	  Npgsql/NpgsqlNotificationEventArgs.cs, Npgsql/NpgsqlParameter.cs,
	  Npgsql/NpgsqlParameterCollection.cs,
	  Npgsql/NpgsqlParameterStatus.cs, Npgsql/NpgsqlParse.cs,
	  Npgsql/NpgsqlPasswordPacket.cs, Npgsql/NpgsqlQuery.cs,
	  Npgsql/NpgsqlReadyState.cs, Npgsql/NpgsqlResultSet.cs,
	  Npgsql/NpgsqlRow.cs, Npgsql/NpgsqlRow.resx,
	  Npgsql/NpgsqlRowDescription.cs, Npgsql/NpgsqlServices.cs,
	  Npgsql/NpgsqlStartupPacket.cs, Npgsql/NpgsqlStartupState.cs,
	  Npgsql/NpgsqlState.cs, Npgsql/NpgsqlSync.cs,
	  Npgsql/NpgsqlTransaction.cs,
	  Npgsql/NpgsqlTransactionCallbacks.cs, Npgsql/PGUtil.cs,
	  Npgsql/PGUtil.resx, Npgsql/SqlGenerators/SqlBaseGenerator.cs,
	  Npgsql/SqlGenerators/SqlDeleteGenerator.cs,
	  Npgsql/SqlGenerators/SqlInsertGenerator.cs,
	  Npgsql/SqlGenerators/SqlSelectGenerator.cs,
	  Npgsql/SqlGenerators/SqlUpdateGenerator.cs,
	  Npgsql/SqlGenerators/VisitedExpression.cs,
	  Npgsql/Web/NpgsqlMembershipProvider.cs,
	  Npgsql/Web/NpgsqlProfileProvider.cs,
	  Npgsql/Web/NpgsqlRoleProvider.cs: Merge in RELEASE_2_0_ALPHA3

2008-03-11 06:53  talliesin

	* src/Npgsql/NpgsqlDataReader.cs: Check for NpgsqlInterval value in
	  caching reader's GetValue()

2008-03-10 22:11  jbcooley

	* src/Npgsql/NpgsqlServices.cs: Added support for dml

2008-03-10 21:48  talliesin

	* src/NpgsqlTypes/NpgsqlTypesHelper.cs,
	  src/Npgsql/NpgsqlCommand.cs, src/Npgsql/NpgsqlConnection.cs,
	  src/Npgsql/NpgsqlConnectionStringBuilder.cs,
	  src/Npgsql/NpgsqlConnector.cs, src/Npgsql/NpgsqlDataReader.cs,
	  src/Npgsql/NpgsqlRowDescription.cs, src/Npgsql/NpgsqlState.cs,
	  testsuite/noninteractive/NUnit20/DataReaderTests.cs: Allow for
	  caching of entire datareader for backwards compatibility.

2008-03-10 08:33  talliesin

	* src/Npgsql/NpgsqlDataReader.cs: Fix reported bug #1010310

2008-03-10 07:58  talliesin

	* src/.cvsignore, src/Npgsql.build, src/Npgsql.csproj,
	  src/Npgsql.sln, src/Npgsql2008.csproj,
	  src/Npgsql/AssemblyInfo.cs, src/Npgsql/NpgsqlAsciiRow.cs,
	  src/Npgsql/NpgsqlBackEndKeyData.cs, src/Npgsql/NpgsqlBind.cs,
	  src/Npgsql/NpgsqlCancelRequest.cs,
	  src/Npgsql/NpgsqlClosedState.cs, src/Npgsql/NpgsqlCommand.cs,
	  src/Npgsql/NpgsqlCommandBuilder.cs,
	  src/Npgsql/NpgsqlConnectedState.cs,
	  src/Npgsql/NpgsqlConnection.cs,
	  src/Npgsql/NpgsqlConnectionStringBuilder.cs,
	  src/Npgsql/NpgsqlConnector.cs, src/Npgsql/NpgsqlConnectorPool.cs,
	  src/Npgsql/NpgsqlCopyFormat.cs, src/Npgsql/NpgsqlCopyIn.cs,
	  src/Npgsql/NpgsqlCopyInState.cs,
	  src/NpgsqlTypes/ArrayHandling.cs, src/NpgsqlTypes/FastPath.cs,
	  src/NpgsqlTypes/LargeObjectManager.cs,
	  src/NpgsqlTypes/NpgsqlDbType.cs,
	  src/NpgsqlTypes/NpgsqlTypeConverters.cs,
	  src/NpgsqlTypes/NpgsqlTypes.cs,
	  src/NpgsqlTypes/NpgsqlTypesHelper.cs,
	  src/Npgsql/NpgsqlBinaryRow.cs, src/Npgsql/NpgsqlCopyOut.cs,
	  src/Npgsql/NpgsqlCopyOutState.cs,
	  src/Npgsql/NpgsqlCopySerializer.cs,
	  src/Npgsql/NpgsqlDataReader.cs, src/Npgsql/NpgsqlDescribe.cs,
	  src/Npgsql/NpgsqlError.cs, src/Npgsql/NpgsqlException.cs,
	  src/Npgsql/NpgsqlExecute.cs, src/Npgsql/NpgsqlFlush.cs,
	  src/Npgsql/NpgsqlMediator.cs, src/Npgsql/NpgsqlMessageTypes.cs,
	  src/Npgsql/NpgsqlNotificationEventArgs.cs,
	  src/Npgsql/NpgsqlParameter.cs,
	  src/Npgsql/NpgsqlParameterCollection.cs,
	  src/Npgsql/NpgsqlParameterStatus.cs, src/Npgsql/NpgsqlParse.cs,
	  src/Npgsql/NpgsqlPasswordPacket.cs, src/Npgsql/NpgsqlQuery.cs,
	  src/Npgsql/NpgsqlReadyState.cs, src/Npgsql/NpgsqlResultSet.cs,
	  src/Npgsql/NpgsqlRow.cs, src/Npgsql/NpgsqlRow.resx,
	  src/Npgsql/NpgsqlRowDescription.cs,
	  src/Npgsql/NpgsqlStartupPacket.cs,
	  src/Npgsql/NpgsqlStartupState.cs, src/Npgsql/NpgsqlState.cs,
	  src/Npgsql/NpgsqlSync.cs, src/Npgsql/NpgsqlTransaction.cs,
	  src/Npgsql/NpgsqlTransactionCallbacks.cs, src/Npgsql/PGUtil.cs,
	  src/Npgsql/PGUtil.resx,
	  src/Npgsql/SqlGenerators/SqlBaseGenerator.cs,
	  src/Npgsql/SqlGenerators/SqlDeleteGenerator.cs,
	  src/Npgsql/SqlGenerators/SqlInsertGenerator.cs,
	  src/Npgsql/SqlGenerators/SqlSelectGenerator.cs,
	  src/Npgsql/SqlGenerators/SqlUpdateGenerator.cs,
	  src/Npgsql/SqlGenerators/VisitedExpression.cs,
	  src/Npgsql/Web/NpgsqlMembershipProvider.cs,
	  src/Npgsql/Web/NpgsqlProfileProvider.cs,
	  src/Npgsql/Web/NpgsqlRoleProvider.cs,
	  testsuite/noninteractive/add_functions.sql,
	  testsuite/noninteractive/NUnit20/App.config,
	  testsuite/noninteractive/NUnit20/BaseClassTests.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs,
	  testsuite/noninteractive/NUnit20/ConnectionTests.cs,
	  testsuite/noninteractive/NUnit20/DataAdapterTests.cs,
	  testsuite/noninteractive/NUnit20/DataReaderTests.cs,
	  testsuite/noninteractive/NUnit20/NpgsqlTests.csproj: In new
	  branch:

	  Change behaviour of datareader to be lazy-loaded as read rather
	  than read in one batch.

	  Many changes to facilitate above change.

	  Only use UTF-8 encoding.

	  Use of typed collections instead of untyped, throughout.

	  Better recovery from thread-abort.

	  Better survival of connection damage. Connections retrieved from
	  pool checked before use.

	  Add separate test cases for version2 protocol, so that version2
	  and version3 can be simultaneously tested.

	  Change test cases to close datareaders after use. The
	  documentation for ExecuteReader says "While the IDataReader is in
	  use, the associated IDbConnection is busy serving the
	  IDataReader. While in this state, no other operations can be
	  performed on the IDbConnection other than closing it. This is the
	  case until the Close method of the DataReader is called. If the
	  DataReader is created with CommandBehavior set to
	  CloseConnection, closing the DataReader closes the connection
	  automatically." Npgsql previously didn't enforce this rule, but
	  has to with these changes. All test cases that broke this rule
	  therefore had to be changed.

2008-03-09 19:51  fxjr

	* src/Npgsql/NpgsqlConnection.cs:

	  Added support to property ProcessID in NpgsqlConnection.

2008-03-06 01:48  jbcooley

	* src/Npgsql/SqlGenerators/: SqlBaseGenerator.cs,
	  SqlDeleteGenerator.cs, SqlInsertGenerator.cs,
	  SqlSelectGenerator.cs, SqlUpdateGenerator.cs,
	  VisitedExpression.cs: More select statement support plus simple
	  dml support

2008-03-06 01:47  jbcooley

	* src/Npgsql/NpgsqlParameter.cs: Fix Clone method so that type_info
	  doesn't get automatically initialized through the property
	  getter.

2008-03-02 00:46  fxjr

	* docs/UserManual.html:

	  Added information about running nunit tests, searchpath
	  connection string parameter and array support.

2008-03-02 00:30  fxjr

	* src/Npgsql2008.csproj:

	  Added ArrayHandling.cs to project and changes the build action on
	  NpgsqlMetaData.xml to embedded resource.
	  NpgsqlSchema.GetDataSourceInformation() was throing exception
	  without this fix. Thanks Patrik Husfloen (husfloen at gmail dot
	  com) for patch.

2008-02-25 02:53  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs,
	  src/Npgsql/NpgsqlCommand.cs,
	  testsuite/noninteractive/add_functions.sql:

	  Fixed problem when calling functions with inout or out
	  parameters. They were being incorrectly added with a column list
	  which was complained by postgresql server: ERROR: 42601: a column
	  definition list is only allowed for functions returning "record".
	  See
	  http://pgfoundry.org/forum/forum.php?thread_id=1075&forum_id=519
	  for discussion about this. Thanks very much to Anton Andreev
	  (fn30762 at fmi dot uni-sofia dot bg) for his help providing test
	  cases.

2008-02-18 01:46  jbcooley

	* src/Npgsql/NpgsqlProviderManifest.Manifest.xml: added support for
	  the COUNT function

2008-02-18 01:45  jbcooley

	* src/Npgsql/SqlGenerators/: SqlBaseGenerator.cs,
	  SqlDeleteGenerator.cs, SqlInsertGenerator.cs,
	  SqlSelectGenerator.cs, SqlUpdateGenerator.cs,
	  VisitedExpression.cs: Adding SqlGenerators for entity framework

2008-02-14 11:50  fxjr

	* src/Npgsql/NpgsqlParameter.cs:
	  Removed verification of NpgsqlDbType.Array when setting
	  NpgsqlDbType property. As BigInt has an enum value of 0, user
	  would have problems if they try to specify an array of bigint
	  because NpgsqlDbType.Array | NpgsqlDbType.Bigint ==
	  NpgsqlDbType.Array. This decision was based in the fact that to
	  fix this problem, we would need to change all enum values which
	  would lead to break already compiled clients. Thanks Jon Hanna
	  for discussion about that.

2008-02-11 02:16  fxjr

	* src/: Npgsql/NpgsqlCommand.cs, Npgsql/NpgsqlParameter.cs,
	  NpgsqlTypes/ArrayHandling.cs, NpgsqlTypes/NpgsqlDbType.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs, Npgsql/NpgsqlParameter.resx:

	  [#1010216] Array Handling. Not fully tested by comments welcome
	  Added support for array datatype. Anything that implements
	  IEnumerable<T> where T is a type already supported by npgsql will
	  be treated the same as T[], anything that implements
	  IEnumerable<U> where U implements IEnumerable<T> will be treated
	  the same as T[,] (but cause an error if it's a "jagged" array, as
	  postgres doesn't support them) and so on. In order to use it,
	  just use an array or IEnumerable<T> as parameter value. Also, you
	  can specify the NpgsqlDbType as an or'ed value to say it is an
	  array: Binary or with other values. E.g. Array of Box is
	  NpgsqlDbType.Array | NpgsqlDbType.Box. Thanks Jon Hanna (jon at
	  hackcraft dot net) for patches. Also thanks Michael Parshin
	  (parshim at gmail dot com) for his help fixing bugs.

2008-01-30 20:01  fxjr

	* src/Npgsql/NpgsqlConnector.cs:

	  Reverted search_path patch to original as proposed by Andrus Moor
	  with an slightly modification to use = instead of TO. See here:
	  http://pgfoundry.org/forum/message.php?msg_id=1002859 for
	  discussion.

	  Added check for semicolon (;) in searchpath connection string
	  parameter to prevent from a sql injection attack.

	  Now, public schema isn't added automatically anymore. User has to
	  add it if she sets search_path in connection string.

2008-01-30 18:37  fxjr

	* src/: Npgsql/NpgsqlCommand.cs, Npgsql/NpgsqlConnector.cs,
	  NpgsqlTypes/NpgsqlDbType.cs, NpgsqlTypes/NpgsqlTypesHelper.cs:
	  Added support for parameters explicit typing on plain queries
	  (this support was already present when calling functions). Now
	  when sending queries, Npgsql will send the exact typing of the
	  parameters as specified by DbType or NpgsqlDbType enums. This
	  will allow better type matching between client and server. Thanks
	  Jon Hanna, Josh Cooley and Agrinei for heads up. See
	  http://pgfoundry.org/forum/message.php?msg_id=1002944 for more
	  info.

2008-01-24 22:44  jbcooley

	* src/Npgsql/NpgsqlProviderManifest.cs: wrapped code in #ifdef
	  ENTITIES since this class also uses entity framework classes as
	  Francisco pointed out.

2008-01-21 11:33  jbcooley

	* src/Npgsql2008.csproj: remove entity requirements from project.
	  (Shouldn't have been comitted before)

2008-01-21 11:28  jbcooley

	* src/: Npgsql2008.csproj,
	  Npgsql/NpgsqlProviderManifest.Manifest.xml,
	  Npgsql/NpgsqlProviderManifest.cs, Npgsql/NpgsqlServices.cs,
	  Npgsql/Web/NpgsqlMembershipProvider.cs,
	  Npgsql/Web/NpgsqlProfileProvider.cs,
	  Npgsql/Web/NpgsqlRoleProvider.cs: Initial bits of Entity
	  Framework support (#ifdef out)

2008-01-19 03:05  jbcooley

	* src/Npgsql/: NpgsqlCommand.cs, NpgsqlParameter.cs,
	  NpgsqlParameterCollection.cs: do not prepend a : to the front of
	  the parameter name when no marker is present.  This keeps the
	  name the same as it was set and is required for entity framework
	  support.

2008-01-18 12:14  jbcooley

	* src/Npgsql/NpgsqlCommand.cs: Clone more properties, most
	  importantly the parameters.  Necessary for entity framework
	  support.

2008-01-13 01:13  jbcooley

	* src/Npgsql/: NpgsqlConnection.cs,
	  NpgsqlPromotableSinglePhaseNotification.cs: Enable
	  System.Transactions support for EnlistTransaction even when
	  enlist=false is set.	(Thanks for the feedback from  Dean Ward)

2008-01-10 16:50  fxjr

	* src/Npgsql/NpgsqlCommand.cs, src/Npgsql/NpgsqlConnection.cs,
	  testsuite/noninteractive/NUnit20/CommandTests.cs:
	  [#1002776] The connection string parameter CommandTimeout does't
	  affected on Command.CommandTimeout. Thanks Oleg Ufaev for patch.

2007-12-20 03:08  jbcooley

	* src/Npgsql/AssemblyInfo.cs: updated assembly version to beta 2.
	  (version 1.98.2)

2007-12-10 13:34  fxjr

	* src/: Npgsql/NpgsqlBind.cs, Npgsql/NpgsqlCancelRequest.cs,
	  Npgsql/NpgsqlClosedState.cs, Npgsql/NpgsqlCommand.cs,
	  Npgsql/NpgsqlCommandBuilder.cs, Npgsql/NpgsqlConnection.cs,
	  Npgsql/NpgsqlConnector.cs, Npgsql/NpgsqlConnectorPool.cs,
	  Npgsql/NpgsqlCopyInState.cs, Npgsql/NpgsqlCopyOutState.cs,
	  Npgsql/NpgsqlDataAdapter.cs, Npgsql/NpgsqlDescribe.cs,
	  Npgsql/NpgsqlException.cs, Npgsql/NpgsqlExecute.cs,
	  Npgsql/NpgsqlFlush.cs, Npgsql/NpgsqlParameter.cs,
	  Npgsql/NpgsqlParameterCollection.cs, Npgsql/NpgsqlParse.cs,
	  Npgsql/NpgsqlSync.cs, Npgsql/Web/NpgsqlProfileProvider.cs,
	  NpgsqlTypes/FastPath.cs, NpgsqlTypes/NpgsqlTypesHelper.cs:
	  Fixed compilation warnings. Thanks Jon Hanna (jon at hackcraft
	  dot net) for patches.

2007-12-06 02:56  h-saito

	* testsuite/MiniTerminal/: Npsql.csproj, Npsql.sln: add the
	  VisualStudio project.

2007-12-06 02:31  h-saito

	* testsuite/DesignDialog/: AssemblyInfo.cs,
	  ConnectionStringEditor.cs, ConnectionStringEditorForm.cs,
	  ConnectionStringEditorForm.de.resx,
	  ConnectionStringEditorForm.es.resx,
	  ConnectionStringEditorForm.fi.resx,
	  ConnectionStringEditorForm.ja.resx,
	  ConnectionStringEditorForm.resx, DesignDialog.cs,
	  DesignDialog.csproj, DesignDialog.sln, DesignDialog.suo,
	  ParameterConverter.cs, SysDescriptionAttribute.cs: Npgsql2 does
	  not support a design dialog.	Therefore, the sample is shown
	  here.

2007-12-06 00:24  h-saito

	* testsuite/testsuite.build: Fixed typo.

2007-12-06 00:18  h-saito

	* testsuite/testsuite.build: add the nant build file of
	  testsuite(GUI).

2007-12-05 23:07  h-saito

	* src/Npgsql2008.csproj: add the japanese resources.

2007-12-05 18:55  fxjr

	* testsuite/noninteractive/: add_data.sql, add_tables.sql,
	  cleanDB.bat, makeDB.bat, NUnit20/CommandTests.cs,
	  NUnit20/ConnectionTests.cs:
	  [#1010209] Patch for test suite. Thanks Tao Wang for patches.

2007-12-05 18:49  fxjr

	* src/Npgsql.sln, src/Npgsql2008.sln,
	  testsuite/noninteractive/NUnit20/App.config,
	  testsuite/noninteractive/NUnit20/NpgsqlTests.csproj,
	  testsuite/noninteractive/NUnit20/NpgsqlTests2008.csproj:
	  [#1010201] Include NUnit20 testsuite to VS solution file. Thanks
	  Tao Wang for patches.

2007-12-05 18:28  fxjr

	* src/Npgsql.sln, src/Npgsql2008.sln,
	  testsuite/noninteractive/NUnit20/App.config,
	  testsuite/noninteractive/NUnit20/NpgsqlTests.csproj,
	  testsuite/noninteractive/NUnit20/NpgsqlTests2008.csproj:
	  Added NUnit test cases to vs.net solution files. Thanks Tao Wang
	  for patches.

2007-12-05 18:14  fxjr

	* testsuite/noninteractive/: add_data.sql, add_tables.sql,
	  cleanDB.bat, makeDB.bat, NUnit20/CommandTests.cs,
	  NUnit20/ConnectionTests.cs:

	  Fixed nunit tests, added some util scripts. Thanks Tao Wang for
	  patches.

2007-12-05 01:20  h-saito

	* src/Npgsql.build: Entry failure of NpgsqlTypes resource.

2007-12-05 00:43  h-saito

	* src/: Npgsql.build, Npgsql.csproj: add the resources.

2007-12-05 00:33  h-saito

	* src/: Npgsql/NpgsqlClosedState.ja.resx,
	  Npgsql/NpgsqlCommand.ja.resx,
	  Npgsql/NpgsqlCommandBuilder.ja.resx,
	  Npgsql/NpgsqlConnectedState.ja.resx,
	  Npgsql/NpgsqlConnectionStringBuilder.ja.resx,
	  Npgsql/NpgsqlException.ja.resx, Npgsql/NpgsqlReadyState.ja.resx,
	  Npgsql/NpgsqlState.ja.resx, Npgsql/PGUtil.ja.resx,
	  NpgsqlTypes/NpgsqlTypesHelper.ja.resx: update the japanese
	  resources.

2007-12-04 16:30  fxjr

	* src/: Npgsql.csproj, Npgsql2008.csproj:

	  Applied patch to add files modified by patch: [#1010202] Adding
	  NpgsqlConnectionStringBuilder class (with cache support). Thanks
	  Tao Wang for patch.

2007-12-03 11:12  fxjr

	* src/Npgsql/: NpgsqlCommand.cs, NpgsqlConnection.cs,
	  NpgsqlConnector.cs, NpgsqlConnectorPool.cs, NpgsqlFactory.cs:
	  [#1010202] Adding NpgsqlConnectionStringBuilder class (with cache
	  support). Thanks Tao Wang (dancefire at gmail dot com) for
	  patches!

2007-12-02 16:21  fxjr

	* testsuite/noninteractive/NUnit20/CommandTests.cs:
	  Added another changedatabase test to test recent patches. Thanks
	  Tao Wang for patch.

2007-12-02 16:06  fxjr

	* src/Npgsql/: Cache.cs, NpgsqlConnectionString.cs,
	  NpgsqlConnectionString.resx, NpgsqlConnectionString.zh-CN.resx,
	  NpgsqlConnectionStringBuilder.cs,
	  NpgsqlConnectionStringBuilder.resx,
	  NpgsqlConnectionStringBuilder.zh-CN.resx:
	  [#1010202] Adding NpgsqlConnectionStringBuilder class (with cache
	  support). Thanks Tao Wang for patches!

2007-12-02 15:26  fxjr

	* src/NpgsqlTypes/NpgsqlTypesHelper.zh-CN.resx:
	  Added simplified chinese resource. Thanks Tao Wang for patch!

2007-12-02 15:24  fxjr

	* src/Npgsql/NpgsqlTypesHelper.zh-CN.resx:
	  Removed incorrectly added file.

2007-11-27 15:57  fxjr

	* src/Npgsql/: NpgsqlClosedState.zh-CN.resx,
	  NpgsqlCommandBuilder.zh-CN.resx, NpgsqlConnectedState.zh-CN.resx,
	  NpgsqlConnectionString.zh-CN.resx, NpgsqlException.zh-CN.resx,
	  NpgsqlReadyState.zh-CN.resx, NpgsqlState.zh-CN.resx,
	  NpgsqlTypesHelper.zh-CN.resx, PGUtil.zh-CN.resx:
	  Added missing zh-CN resource files. Thanks Tao Wang (dancefire at
	  gmail dot com) for patches.

2007-11-26 18:04  fxjr

	* src/Npgsql/NpgsqlConnection.cs,
	  src/Npgsql/NpgsqlConnectionString.cs,
	  src/Npgsql/NpgsqlConnector.cs,
	  testsuite/noninteractive/NUnit20/ConnectionTests.cs:
	  Added support for setting search path in connection string. You
	  can use now searchpath=blabla in your connection string. You
	  don't need to specify public search path as it is automatically
	  added if you specify a custom search path. Thanks Andrus Moor
	  (kobruleht2 at hot dot ee) for patch.

2007-11-26 16:31  fxjr

	* src/Npgsql.csproj:
	  Added missing zh-CN resources to VS.Net project file.  Fixed line
	  ending from unix format to dos format so vs.net can open project
	  by double click on explorer. Thanks Tao Wang (dancefire at gmail
	  dot com) for patches!

2007-11-22 11:35  fxjr

	* src/Npgsql/NpgsqlClosedState.cs:

	  I applied incorrectly Daniel's patch. Now it is ok. Sorry for
	  that :(

2007-11-22 11:29  fxjr

	* src/Npgsql/: NpgsqlClosedState.cs, NpgsqlState.resx:
	  Fixed bug when trying to connect to ipv6 hosts. Also, added
	  support for connecting to server names which have multiple ip
	  addresses. Thanks Daniel Nauck (dna at mono-project dot de) for
	  patch.

2007-11-22 02:20  jbcooley

	* src/Npgsql2008.csproj: Remove bad files from project and added
	  zn-CH resx files.

2007-11-22 02:16  jbcooley

	* src/Npgsql.csproj: Added NpgsqlCopySerializer

2007-11-22 02:14  jbcooley

	* src/: Npgsql2008.csproj, Npgsql2008.sln: Solution and Project for
	  Visual Studio 2008.  Also includes definition for NET35.

2007-11-17 12:58  fxjr

	* src/NpgsqlTypes/: NpgsqlDbType.cs, NpgsqlTypesHelper.cs:
	  Added mapping for the new 'xml' native type available in
	  PostgreSQL 8.3:
	  http://www.postgresql.org/docs/8.3/static/datatype-xml.html This
	  is 'simple' patch that allow tu use String for type DbType.Xml.
	  Thanks David Bachmann (david dot bachmann at ersystems dot ch)
	  for patches.

2007-11-16 12:43  fxjr

	* src/: Npgsql.csproj, NpgsqlTypes/NpgsqlDbType.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs:

	  Npgsql.csproj: Missing reference to NpgsqlCopyFormat.cs added.

	  NpgsqlDbType.cs, NpgsqlTypesHelper.cs: This patch add mapping for
	  the new 'xml' native type available in PostgreSQL 8.3:
	  http://www.postgresql.org/docs/8.3/static/datatype-xml.html

	  This is 'simple' patch that allow tu use String for type
	  DbType.Xml.

2007-11-15 22:10  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	   [#1010187] Problem with parsing parameters and "<" or ">"
	  operator with Prepare().
	   [#1010186] Thread safety problem when Parsing command text.
	   Thanks Hubert FONGARNAND for patches!

2007-11-06 14:22  fxjr

	* ChangeLog: [no log message]

2007-11-06 14:21  fxjr

	* src/Npgsql.build:
	  Fixed build file to allows other resources to be compiled.

2007-11-06 11:47  fxjr

	* RELEASENOTES.txt:
	  Added last minute localization patch.

2007-11-06 11:46  fxjr

	* src/Npgsql/: NpgsqlCommand.zh-CN.resx,
	  NpgsqlConnection.zh-CN.resx, NpgsqlEventLog.zh-CN.resx,
	  NpgsqlParameter.zh-CN.resx, NpgsqlParameterCollection.zh-CN.resx,
	  NpgsqlTransaction.zh-CN.resx:
	  [#1008537] New resource files - zh-CN. Added support for Chinese
	  (Simplified). Thanks Fan (Frank) Chown (reverseark at gmail dot
	  com) for patch!

2007-11-06 11:14  fxjr

	* ChangeLog:
	  Updated

2007-11-06 11:13  fxjr

	* RELEASENOTES.txt, src/Npgsql/NpgsqlConnector.cs:
	  Updated RELEASENOTES to include a last minute fix.

	  Fixed a possible lockup when using SyncNotification. Runtime
	  wasn't releasing the lock fairly. See
	  http://pgfoundry.org/forum/message.php?msg_id=1002650 for more
	  info. Thanks Clive Simmens (cs at ctronix dot com) for heads up,
	  tests and patch.

2007-11-06 10:39  fxjr

	* ChangeLog:

	  Updated Changelog

2007-11-06 10:38  fxjr

	* RELEASENOTES.txt:

	  Added release notes for Beta1 release.

2007-11-06 10:37  fxjr

	* src/Npgsql/AssemblyInfo.cs:

	  Updated assembly version to Beta1. suffix 98.1

2007-11-06 10:36  fxjr

	* docs/UserManual.html:

	  Added more information about System.Transactions.  Added table
	  info about uuid datatype support.

2007-11-05 19:49  fxjr

	* docs/UserManual.html:
	  Added initial information about System.Transactions support.
	  Thanks Josh Cooley

2007-11-03 21:38  jbcooley

	* src/Npgsql/NpgsqlTransactionCallbacks.cs: Improve handleing of
	  closed connections and non-pooled connections

2007-11-03 19:42  fxjr

	* src/: Npgsql.build, Npgsql/NpgsqlCommandBuilder.cs,
	  Npgsql/NpgsqlConnection.cs, Npgsql/NpgsqlMetaData.xml,
	  Npgsql/NpgsqlSchema.cs:

	  Added support for DataSourceInformation schema in
	  NpgsqlConnection.GetSchema(string collectionName, string[]
	  restrictions). Thanks Rasha (strasha at gmail dot com) for patch.
	   Improved NpgsqlCommandBuilder so it now conforms to ADO.NET 2.0
	  standards. Thanks Rasha (strasha at gmail dot com) for patch.

2007-11-01 22:41  jbcooley

	* src/Npgsql/: NpgsqlPromotableSinglePhaseNotification.cs,
	  NpgsqlResourceManager.cs: 2007-11-1 Josh Cooley
	  <jbnpgsql@tuxinthebox.net>

	    Improve handleing of closed connections and non-pooled
	  connections

2007-11-01 01:06  jbcooley

	* src/Npgsql/: NpgsqlConnection.cs, NpgsqlFactory.cs: 2007-10-31
	  Josh Cooley <jbnpgsql@tuxinthebox.net>

	    Adding pieces for ado.net 3.5 and ado.net entities.

2007-10-18 11:55  fxjr

	* testsuite/noninteractive/NUnit20/NpgsqlTests.build:

	  Removed hardcoded path to nunit assemblies. Now use a dynamic
	  property to get them. Thanks Gert Driesen (gert dot driesen -at-
	  ardatis dot com) from nant dev team for coding this property.
	  Now, Npgsql tests are easier to run.

2007-10-14 18:20  fxjr

	* src/: Npgsql/NpgsqlDataReader.cs, Npgsql/NpgsqlMediator.cs,
	  Npgsql/NpgsqlMessageTypes.cs, Npgsql/NpgsqlState.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs:
	  Fixed mixed line endings. Thanks David Bachmann for patch!

2007-10-13 17:19  fxjr

	* testsuite/noninteractive/: add_tables.sql, test_copy.cs:

	  Added initial support for a copy serializer for COPY FROM STDIN.
	  (Kalle Hallivuori)

2007-10-13 17:15  fxjr

	* src/Npgsql/: NpgsqlCopyFormat.cs, NpgsqlCopySerializer.cs:
	  "Applied patch against CVS containing comments and small fixes
	  for COPY support.

	  Biggest change in structure is the separation of copy format into
	  its own class - this is required to support serialization, which
	  I'm working on." (Kalle Hallivuori)

2007-10-13 16:57  fxjr

	* src/Npgsql/: NpgsqlCommand.cs, NpgsqlCopyIn.cs,
	  NpgsqlCopyInState.cs, NpgsqlCopyInStream.cs, NpgsqlCopyOut.cs,
	  NpgsqlCopyOutState.cs, NpgsqlCopyOutStream.cs, NpgsqlState.cs:

	  "Applied patch against CVS containing comments and small fixes
	  for COPY support.

	  Biggest change in structure is the separation of copy format into
	  its own class - this is required to support serialization, which
	  I'm working on." (Kalle Hallivuori)

2007-10-13 16:54  fxjr

	* src/: Npgsql.build, Npgsql.mdp, Npgsql.mds:
	  Updated nant build file and Monodevelop project files with latest
	  additions in order to compile Npgsql.

2007-10-13 12:03  fxjr

	* docs/: UserManual.html, state-machine.html:
	  Updated docs to include documentation about COPY IN/OUT support.
	  Thanks Kalle Hallivuori for patches!

2007-10-13 10:50  fxjr

	* ChangeLog: Initial release

2007-10-13 00:59  jbcooley

	* src/Npgsql.csproj: 2007-10-12 Josh Cooley
	  <jbnpgsql@tuxinthebox.net>

	    Added support for System.Transactions and promotable
	  transactions.
	    Added Copy files to project.

2007-10-13 00:35  jbcooley

	* src/Npgsql/: NpgsqlConnection.cs, NpgsqlConnectionString.cs,
	  NpgsqlConnector.cs, NpgsqlPromotableSinglePhaseNotification.cs,
	  NpgsqlResourceManager.cs, NpgsqlTransactionCallbacks.cs:
	  2007-10-12 Josh Cooley <jbnpgsql@tuxinthebox.net>

	    Added support for System.Transactions and promotable
	  transactions.

2007-10-12 22:00  jbcooley

	* src/Npgsql/PGUtil.cs: 2007-10-12 Josh Cooley
	  <jbnpgsql@tuxinthebox.net>

	    Move PGUtil to first class in file so that visual studio builds
	  associated resource correctly.

2007-10-10 12:21  fxjr

	* src/Npgsql/NpgsqlCommandBuilder.cs:
	  Updated BSD License

2007-10-10 12:19  fxjr

	* testsuite/noninteractive/: add_tables.sql, expected_copy,
	  test_copy.cs:
	  Complete nunit tests added. Thanks Kalle Hallivuori for patch!

2007-10-10 12:10  fxjr

	* src/Npgsql/AssemblyInfo.cs, src/Npgsql/MD5.cs,
	  src/Npgsql/NpgsqlAsciiRow.cs, src/Npgsql/NpgsqlBackEndKeyData.cs,
	  src/Npgsql/NpgsqlBinaryRow.cs, src/Npgsql/NpgsqlBind.cs,
	  src/Npgsql/NpgsqlCancelRequest.cs,
	  src/Npgsql/NpgsqlClosedState.cs, src/Npgsql/NpgsqlCommand.cs,
	  src/Npgsql/NpgsqlConnectedState.cs,
	  src/Npgsql/NpgsqlConnection.cs,
	  src/Npgsql/NpgsqlConnectionString.cs,
	  src/Npgsql/NpgsqlConnector.cs, src/Npgsql/NpgsqlConnectorPool.cs,
	  src/Npgsql/NpgsqlCopyIn.cs, src/Npgsql/NpgsqlCopyInState.cs,
	  src/Npgsql/NpgsqlCopyInStream.cs, src/Npgsql/NpgsqlCopyOut.cs,
	  src/Npgsql/NpgsqlCopyOutState.cs,
	  src/Npgsql/NpgsqlCopyOutStream.cs,
	  src/Npgsql/NpgsqlDataAdapter.cs, src/Npgsql/NpgsqlDataReader.cs,
	  src/Npgsql/NpgsqlDescribe.cs, src/Npgsql/NpgsqlError.cs,
	  src/Npgsql/NpgsqlEventLog.cs, src/Npgsql/NpgsqlException.cs,
	  src/Npgsql/NpgsqlExecute.cs, src/Npgsql/NpgsqlFactory.cs,
	  src/Npgsql/NpgsqlFlush.cs, src/Npgsql/NpgsqlMediator.cs,
	  src/Npgsql/NpgsqlMessageTypes.cs,
	  src/Npgsql/NpgsqlNotificationEventArgs.cs,
	  src/Npgsql/NpgsqlParameter.cs,
	  src/Npgsql/NpgsqlParameterCollection.cs,
	  src/Npgsql/NpgsqlParameterStatus.cs, src/Npgsql/NpgsqlParse.cs,
	  src/Npgsql/NpgsqlPasswordPacket.cs, src/Npgsql/NpgsqlQuery.cs,
	  src/Npgsql/NpgsqlReadyState.cs, src/Npgsql/NpgsqlResultSet.cs,
	  src/Npgsql/NpgsqlRow.cs, src/Npgsql/NpgsqlRowDescription.cs,
	  src/Npgsql/NpgsqlSchema.cs, src/Npgsql/NpgsqlStartupPacket.cs,
	  src/Npgsql/NpgsqlStartupState.cs, src/Npgsql/NpgsqlState.cs,
	  src/Npgsql/NpgsqlSync.cs, src/Npgsql/NpgsqlTransaction.cs,
	  src/Npgsql/PGUtil.cs, LICENSE.txt,
	  src/Npgsql/Web/NpgsqlMembershipProvider.cs,
	  src/Npgsql/Web/NpgsqlProfileProvider.cs,
	  src/Npgsql/Web/NpgsqlRoleProvider.cs,
	  src/NpgsqlTypes/FastPath.cs, src/NpgsqlTypes/FastPathArg.cs,
	  src/NpgsqlTypes/LargeObject.cs,
	  src/NpgsqlTypes/LargeObjectManager.cs,
	  src/NpgsqlTypes/NpgsqlDbType.cs,
	  src/NpgsqlTypes/NpgsqlTypeConverters.cs,
	  src/NpgsqlTypes/NpgsqlTypes.cs,
	  src/NpgsqlTypes/NpgsqlTypesHelper.cs:

	  Updated BSD License text in all files.

	  NpgsqlCopyIn.cs, NpgsqlCopyInState.cs, NpgsqlCopyInStream.cs,
	  NpgsqlCopyOut.cs, NpgsqlCopyOutState.cs, NpgsqlCopyOutStream.cs:
	  A buffer overflow fix. Errors are now hopefully handled
	  correctly. Thanks Kalle Hallivuori for patch! add_tables.sql,
	  expected_copy, test_copy.cs: Complete nunit tests added. Thanks
	  Kalle Hallivuori for patch!

	  LICENSE.txt: Fixed BSD License text to include The Npgsql Team.
	  Thanks Kalle Hallivuori for heads up!

2007-10-09 03:04  fxjr

	* src/Npgsql/: NpgsqlConnectionString.cs, NpgsqlConnector.cs:
		  [#1000847] Connection settings are parsed wrong with
	  Turkish locale. Thanks Gokcer Gokdal (gokcergokdal at yahoo dot
	  com) for patch.

2007-10-09 02:16  fxjr

	* src/Npgsql/NpgsqlConnectorPool.cs:

	      [#1003272] Queue Empty exception. Thanks Francois Payette (
	  francoisp at netmosphere dot net) for patch.

2007-10-06 10:16  fxjr

	* LICENSE.txt:
	  Updated to use the correct BSD License version without
	  advertisement clause. This is now the same version as Postgresql
	  server itself. Sorry for this big mistake.

2007-10-03 12:10  fxjr

	* src/Npgsql/: NpgsqlCommand.cs, NpgsqlCopyIn.cs,
	  NpgsqlCopyInState.cs, NpgsqlCopyInStream.cs, NpgsqlCopyOut.cs,
	  NpgsqlCopyOutState.cs, NpgsqlCopyOutStream.cs, NpgsqlMediator.cs,
	  NpgsqlMessageTypes.cs, NpgsqlState.cs:

	  Added support for COPY IN and COPY OUT operations. Thanks Kalle
	  Hallivuori (kato at iki dot fi) for patch and Truviso.com for
	  supporting Kalle on this.

2007-09-28 01:20  fxjr

	* src/: Npgsql/NpgsqlDataReader.cs, NpgsqlTypes/NpgsqlDbType.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs:

		  NpgsqlDataReader.cs,
		  NpgsqlDbType.cs,
		  NpgsqlTypesHelper.cs: [#1008782] Support for Guid type.
	  Thanks David Bachmann (david dot bachmann at ersystems dot ch)
	  for patch.

		  NpgsqlTypesHelper.cs: Fixed parameter mapping for
	  currency datatype. Thanks Jack (hsj178 at 126 dot com) for patch.

2007-09-20 23:16  fxjr

	* src/Npgsql/NpgsqlConnection.cs:
		  Fixed SSL authentication by setting an static field to
	  true: RSACryptoServiceProvider.UseMachineKeyStore = true. See
	  https://bugzilla.novell.com/show_bug.cgi?id=MONO77559 and
	  http://pgfoundry.org/forum/message.php?msg_id=1002377 for more
	  info about that. Thanks Erwin Thaler for heads up.

2007-09-20 11:19  fxjr

	* src/Npgsql/NpgsqlParameter.cs:
		  Fix for bug: [#1007697] Parameter name is not trimmed
	  NpgsqlParameter constructor. Thanks Joren Six for patch.

2007-09-20 10:45  fxjr

	* src/Npgsql/NpgsqlConnectionString.cs:

		  Improved connection string parsing. Thanks Ben Sagal for
	  patch.

2007-09-14 11:56  fxjr

	* docs/UserManual.html:
		  Fixed UserManual documentation. Thanks Frank Chow
	  (reverseark at gmail dot com) for heads up!

2007-09-14 11:34  fxjr

	* docs/: NpgsqlConnectionStateMachine.png, SuggestedReadings.html,
	  UserManual.html, class-connector.html, class-connpool.html,
	  connection pooling.vsd, connection-pooling-1.png,
	  connection-pooling-2.png, connection-pooling-3.png,
	  connection-pooling-4.png, dev-connpool-ovw.html, global.css,
	  global.js, index.html, pegasus.jpg, state-machine.html,
	  thenpgsqldevelopmentteam.html:
		  Added Npgsql2 documentation from original Npgsql
	  documentation.

2007-08-28 02:45  fxjr

	* LICENSE.txt:

		  Added BSD License text file

2007-08-28 02:13  fxjr

	* src/Npgsql/NpgsqlParameter.cs:
		  Removed Torben patch as his permission to change to BSD
	  wasn't received.

2007-08-28 02:12  fxjr

	* src/Npgsql/NpgsqlCommandBuilder.cs:

		  Removed Gridnine patch in order to change Npgsql license
	  as Gridnine permission wasn't received.

2007-07-07 02:46  fxjr

	* src/Npgsql.build:

	  Fixed Npgsql.build to include missing resources.  Reverted a
	  modification which set the framework target to mono-2.0. This
	  breaks ms.net target.

2007-07-07 02:34  fxjr

	* testsuite/: AssemblyInfo.cs, README.txt, frmMain.cs,
	  frmMain.resx, testsuite.csproj, testsuite.ico, testsuite.sln,
	  DesignDialog/App.ico, DesignDialog/AssemblyInfo.cs,
	  DesignDialog/DesignDialog.cs, DesignDialog/DesignDialog.csproj,
	  DesignDialog/DesignDialog.resx, DesignDialog/DesignDialog.sln,
	  ImageMake/AssemblyInfo.vb, ImageMake/Form1.resX,
	  ImageMake/Form1.vb, ImageMake/Form2.resX, ImageMake/Form2.vb,
	  ImageMake/Form3.resX, ImageMake/Form3.vb, ImageMake/Form4.resX,
	  ImageMake/Form4.vb, ImageMake/ImageMake.sln,
	  ImageMake/ImageMake.suo, ImageMake/ImageMake.vbproj,
	  ImageMake/ImageMake.vbproj.user, ImageMake/Readme.txt,
	  ImageMake/app.config, MiniTerminal/Npsql.build,
	  MiniTerminal/Npsql.cs, noninteractive/Makefile,
	  noninteractive/WRITING_TESTS_HOW.txt,
	  noninteractive/add_data.sql, noninteractive/add_functions.sql,
	  noninteractive/add_tables.sql, noninteractive/add_triggers.sql,
	  noninteractive/add_views.sql, noninteractive/cleanDBs.sh,
	  noninteractive/expected_1, noninteractive/expected_2,
	  noninteractive/expected_3, noninteractive/expected_4,
	  noninteractive/expected_5,
	  noninteractive/expected_executenonquery,
	  noninteractive/expected_executereader,
	  noninteractive/expected_executescalar,
	  noninteractive/expected_preparedstatements,
	  noninteractive/runTests.sh, noninteractive/test_1.cs,
	  noninteractive/test_2.cs, noninteractive/test_3.cs,
	  noninteractive/test_4.cs, noninteractive/test_5.cs,
	  noninteractive/test_executenonquery.cs,
	  noninteractive/test_executereader.cs,
	  noninteractive/test_executescalar.cs,
	  noninteractive/test_preparedstatements.cs,
	  noninteractive/NUnit20/AssemblyInfo.cs,
	  noninteractive/NUnit20/BaseClassTests.cs,
	  noninteractive/NUnit20/CommandTests.cs,
	  noninteractive/NUnit20/ConnectionTests.cs,
	  noninteractive/NUnit20/DataAdapterTests.cs,
	  noninteractive/NUnit20/DataReaderTests.cs,
	  noninteractive/NUnit20/NpgsqlTests.build,
	  noninteractive/NUnit20/NpgsqlTests.dll.config,
	  noninteractive/NUnit20/NpgsqlTests.mdp,
	  noninteractive/NUnit20/NpgsqlTests.mds,
	  noninteractive/NUnit20/PrepareTests.cs:

	  Added tests.

2007-07-07 02:09  fxjr

	* lib/Mono.Security.dll:

	  Updated to Mono 1.2.4 version.

2007-07-04 01:36  fxjr

	* src/Npgsql/AssemblyInfo.cs:

	  2007-07-04 Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

	      * Npgsql/AssemblyVersion.cs: Changed assembly version to its
	  correct value: 1.97.1. This version means it is a preview version
	  (before beta). It isn't also an alpha version because it is as
	  stable as 1.0.0 was.

2007-07-04 01:31  fxjr

	* src/Npgsql.build:

	  2007-07-04  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  * Npgsql.build: Fixed an incorrect property value of
	  src.dir. It was pointing to ./ instead of the full path of
	  project. This was making NUnit tests assembly to be not compiled.

2007-07-04 01:23  fxjr

	* src/: Npgsql.mdp, Npgsql.mds:

	  2007-07-04  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

	      * Npgsql.mdp,
		Npgsql.mds: Added MonoDevelop Project Files.

2007-07-04 00:36  fxjr

	* src/Npgsql.build:

	  2007-07-04  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  * Npgsql.build: Fixed to compile on .net 2.0

2007-07-03 01:07  fxjr

	* README.txt, RELEASENOTES.txt:

	  2007-07-03  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  README.txt,
		  RELEASENOTES.txt: Initial import. Added notice about
	  preview release of Npgsql2

2007-03-29 13:20  h-saito

	* src/Npgsql/Web/: NpgsqlMembershipProvider.cs,
	  NpgsqlProfileProvider.cs, NpgsqlRoleProvider.cs: Umm, Correct the
	  0d0a of Dos to 0a.

2007-03-29 13:07  h-saito

	* src/Npgsql/Web/NpgsqlRoleProvider.cs: Fixed table definition
	  guide.

2007-01-27 02:16  jbcooley

	* src/Npgsql.csproj: 2007-01-26  Josh Cooley
	  <jbnpgsql@tuxinthebox.net>

	       * Synced project with build file.

2007-01-10 01:40  fxjr

	* src/: Npgsql.build, Npgsql/Web/NpgsqlMembershipProvider.cs,
	  Npgsql/Web/NpgsqlProfileProvider.cs,
	  Npgsql/Web/NpgsqlRoleProvider.cs:
	  2007-01-10  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  * Added ASP.Net providers implementation by Jon Asher.
	  Thanks also to Federico Di Gregorio for help and feedback on this
	  work. Modified Npgsql.build to compile these providers.

2006-11-27 10:21  fxjr

	* src/: Npgsql/NpgsqlClosedState.resx,
	  Npgsql/NpgsqlCommand.de.resx, Npgsql/NpgsqlCommand.es.resx,
	  Npgsql/NpgsqlCommand.fi.resx, Npgsql/NpgsqlCommand.ja.resx,
	  Npgsql/NpgsqlCommand.resx, Npgsql/NpgsqlCommandBuilder.resx,
	  Npgsql/NpgsqlConnectedState.resx,
	  Npgsql/NpgsqlConnection.de.resx, Npgsql/NpgsqlConnection.es.resx,
	  Npgsql/NpgsqlConnection.fi.resx, Npgsql/NpgsqlConnection.ja.resx,
	  Npgsql/NpgsqlConnection.resx, Npgsql/NpgsqlConnectionString.resx,
	  Npgsql/NpgsqlEventLog.de.resx, Npgsql/NpgsqlEventLog.es.resx,
	  Npgsql/NpgsqlEventLog.fi.resx, Npgsql/NpgsqlEventLog.ja.resx,
	  Npgsql/NpgsqlEventLog.resx, Npgsql/NpgsqlException.resx,
	  Npgsql/NpgsqlParameter.de.resx, Npgsql/NpgsqlParameter.es.resx,
	  Npgsql/NpgsqlParameter.fi.resx, Npgsql/NpgsqlParameter.ja.resx,
	  Npgsql/NpgsqlParameter.resx,
	  Npgsql/NpgsqlParameterCollection.de.resx,
	  Npgsql/NpgsqlParameterCollection.es.resx,
	  Npgsql/NpgsqlParameterCollection.fi.resx,
	  Npgsql/NpgsqlParameterCollection.ja.resx,
	  Npgsql/NpgsqlParameterCollection.resx,
	  Npgsql/NpgsqlReadyState.resx, Npgsql/NpgsqlState.resx,
	  Npgsql/NpgsqlTransaction.de.resx,
	  Npgsql/NpgsqlTransaction.es.resx,
	  Npgsql/NpgsqlTransaction.fi.resx,
	  Npgsql/NpgsqlTransaction.ja.resx, Npgsql/NpgsqlTransaction.resx,
	  Npgsql/PGUtil.resx, NpgsqlTypes/NpgsqlTypesHelper.resx:

	  2006-11-27  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  * Added missing resource files.

2006-11-12 14:07  fxjr

	* src/Npgsql.csproj:

	  2006-11-12  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  * Npgsql.csproj: Added NpgsqlFactory.cs file to project

2006-11-12 13:37  fxjr

	* src/Npgsql/NpgsqlFactory.cs:

	  2006-11-12  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  * NpgsqlFactory.cs: Added initial implementation of
	  NpgsqlFactory.

2006-11-12 13:36  fxjr

	* src/Npgsql/NpgsqlCommandBuilder.cs:

	  2006-11-12  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  * NpgsqlCommandBuilder.cs: Set DbCommandBuilder as
	  superclass and added empty implementations of abstract methods.

2006-11-12 13:35  fxjr

	* src/Npgsql/NpgsqlException.cs:
	  2006-11-12  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  * NpgsqlException.cs: Set DbException as superclass.

2006-10-31 10:49  fxjr

	* src/Npgsql/NpgsqlCommand.cs:
	  2006-10-31  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  * NpgsqlCommand.cs: [#1000765] InvalidCastException for
	  ByteA Parameter when command.Prepare() Thanks Hubert Fongarnand
	  for patch!

2006-10-30 11:21  fxjr

	* src/Npgsql.build:

	  2006-10-30  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  * Npgsql.build: Added current culture compilation
	  support.

2006-10-30 11:12  fxjr

	* src/Npgsql.build:

	  2006-10-30  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  * Added Npgsql.build NAnt build file.

2006-10-25 23:32  fxjr

	* src/NpgsqlTypes/NpgsqlTypesHelper.cs:
	  2006-10-25  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  * NpgsqlTypesHelper.cs: Finished applying correctly patch
	  from Patrick Greenwald. It was incorrectly patched.

2006-10-18 01:14  jbcooley

	* src/Npgsql/: AssemblyInfo.cs, MD5CryptoServiceProvider.cs,
	  NpgsqlClosedState.cs: 2006-10-17    Josh Cooley
	  <jbnpgsql@tuxinthebox.net>

	    Fix warnings when building against .NET 2.0.

2006-10-18 01:11  jbcooley

	* src/: NpgsqlTypes/LargeObjectManager.cs, Npgsql/NpgsqlCommand.cs,
	  Npgsql/NpgsqlConnection.cs, Npgsql/NpgsqlDataAdapter.cs,
	  Npgsql/NpgsqlDataReader.cs, Npgsql/NpgsqlParameter.cs,
	  Npgsql/NpgsqlParameterCollection.cs, Npgsql/NpgsqlTransaction.cs:
	  2006-10-17	Josh Cooley <jbnpgsql@tuxinthebox.net>

	    Updates for ADO.NET 2.0

2006-10-14 01:29  jbcooley

	* src/: Npgsql.csproj, Npgsql.sln: 2006-10-13	  Josh Cooley
	  <jbnpgsql@tuxinthebox.net>

	     solution and project for Microsoft Visual C# 2005 edition.

2006-10-14 01:27  jbcooley

	* lib/Mono.Security.Protocol.Tls.dll,
	  lib/Mono.Security.Protocol.Tls.license, lib/Mono.Security.dll,
	  lib/README, src/Npgsql/Npgsql.snk: 2006-10-13     Josh Cooley
	  <jbnpgsql@tuxinthebox.net>

	     Migrating files from Npgsql tree

2006-10-14 00:24  jbcooley

	* src/: Npgsql/AssemblyInfo.cs, Npgsql/NpgsqlClosedState.cs,
	  Npgsql/NpgsqlCommand.cs, Npgsql/NpgsqlCommandBuilder.cs,
	  Npgsql/NpgsqlConnection.cs, Npgsql/NpgsqlConnectionString.cs,
	  Npgsql/NpgsqlConnector.cs, Npgsql/NpgsqlConnectorPool.cs,
	  Npgsql/NpgsqlDataReader.cs, Npgsql/NpgsqlException.cs,
	  Npgsql/NpgsqlRowDescription.cs, Npgsql/NpgsqlState.cs,
	  NpgsqlTypes/FastPath.cs, NpgsqlTypes/LargeObject.cs,
	  NpgsqlTypes/LargeObjectManager.cs, NpgsqlTypes/NpgsqlDbType.cs,
	  NpgsqlTypes/NpgsqlTypeConverters.cs, NpgsqlTypes/NpgsqlTypes.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs: 2006-13-10	      Josh Cooley
	  <jbnpgsql@tuxinthebox.net>

	    *  Updated from Npgsql 1.0 source

2006-07-04 16:04  jbcooley

	* src/Npgsql/NpgsqlCommandBuilder.cs: 2006-07-04  Josh Cooley
	  <jbnpgsql@tuxinthebox.net>	 * Fixed possible memory leak when
	  multiple command builders attached to a single NpgsqlDataAdapter.
	  * Fixed DataRow state problem where an insert fails.  The
	  command builder no longer accepts the changes (but the
	  NpgsqlDataAdapter still does).

2006-06-12 01:02  jbcooley

	* src/Npgsql/NpgsqlCommandBuilder.cs: 2006-06-11  Josh Cooley
	  <jbnpgsql@tuxinthebox.net>	 * Fixed NpgsqlCommandBuilder.cs to
	  always qualify table names with the schema name so that the
	  command builder can be used with tables in other schemas.

2006-05-14 23:46  jbcooley

	* src/Npgsql/: NpgsqlCommandBuilder.cs, NpgsqlParameter.cs:
	  2006-05-14  Josh Cooley  <jbnpgsql@tuxinthebox.net>	  * Fixed
	  NpgsqlCommandBuilder.cs to use just the column name from the
	  DataTable so that the case is consistent in the parameter names.

2006-05-13 15:53  fxjr

	* src/Npgsql/: AssemblyInfo.cs, NpgsqlCancelRequest.cs,
	  NpgsqlClosedState.cs, NpgsqlCommand.cs, NpgsqlCommandBuilder.cs,
	  NpgsqlConnectedState.cs, NpgsqlConnection.cs,
	  NpgsqlConnectionString.cs, NpgsqlConnector.cs,
	  NpgsqlDataReader.cs, NpgsqlException.cs, NpgsqlMediator.cs,
	  NpgsqlRowDescription.cs, NpgsqlState.cs:
	  2006-05-13  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  * Updated from Npgsql module version RC1.

2006-05-05 23:36  jbcooley

	* src/Npgsql/NpgsqlSchema.cs: 2006-05-05  Josh Cooley	* Fixed
	  BuildCommand to handle multiple restrictions correctly.  Now
	  includes AND keywords between restrictions.

2006-02-14 11:26  fxjr

	* src/: Npgsql/NpgsqlCommand.cs, Npgsql/NpgsqlDataAdapter.cs,
	  Npgsql/NpgsqlParse.cs, Npgsql/NpgsqlSchema.cs, Npgsql/MD5.cs,
	  Npgsql/NpgsqlConnectorPool.cs, Npgsql/NpgsqlStartupState.cs,
	  Npgsql/NpgsqlParameter.cs, Npgsql/NpgsqlResultSet.cs,
	  Npgsql/NpgsqlBind.cs, Npgsql/NpgsqlClosedState.cs,
	  Npgsql/MD5CryptoServiceProvider.cs,
	  Npgsql/NpgsqlStartupPacket.cs, Npgsql/NpgsqlCommandBuilder.cs,
	  Npgsql/NpgsqlDescribe.cs, Npgsql/NpgsqlRowDescription.cs,
	  Npgsql/NpgsqlQuery.cs, Npgsql/NpgsqlState.cs,
	  Npgsql/NpgsqlTransaction.cs, Npgsql/HashAlgorithm.cs,
	  Npgsql/NpgsqlBackEndKeyData.cs, Npgsql/NpgsqlBinaryRow.cs,
	  Npgsql/NpgsqlAsciiRow.cs, Npgsql/NpgsqlRow.cs,
	  Npgsql/NpgsqlParameterStatus.cs, Npgsql/NpgsqlFlush.cs,
	  Npgsql/NpgsqlParameterCollection.cs, Npgsql/NpgsqlException.cs,
	  Npgsql/NpgsqlMediator.cs, Npgsql/NpgsqlConnectedState.cs,
	  Npgsql/NpgsqlMessageTypes.cs, Npgsql/NpgsqlConnection.cs,
	  Npgsql/NpgsqlExecute.cs, Npgsql/PGUtil.cs,
	  Npgsql/AssemblyInfo.cs, Npgsql/NpgsqlConnector.cs,
	  Npgsql/NpgsqlPasswordPacket.cs, Npgsql/NpgsqlEventLog.cs,
	  Npgsql/NpgsqlReadyState.cs, Npgsql/NpgsqlError.cs,
	  Npgsql/NpgsqlDataReader.cs, Npgsql/NpgsqlSync.cs,
	  Npgsql/NpgsqlConnectionString.cs,
	  Npgsql/NpgsqlNotificationEventArgs.cs,
	  NpgsqlTypes/NpgsqlDbType.cs, NpgsqlTypes/LargeObject.cs,
	  NpgsqlTypes/LargeObjectManager.cs, NpgsqlTypes/FastPathArg.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs,
	  NpgsqlTypes/NpgsqlTypeConverters.cs, NpgsqlTypes/FastPath.cs,
	  NpgsqlTypes/NpgsqlTypes.cs:

	  2006-02-14  Francisco Figueiredo Jr.	<fxjrlists@yahoo.com.br>

		  * Added Npgsql2 for .Net 2.0 module

2006-02-14 11:26  fxjr

	* src/: Npgsql/NpgsqlCommand.cs, Npgsql/NpgsqlDataAdapter.cs,
	  Npgsql/NpgsqlParse.cs, Npgsql/NpgsqlSchema.cs, Npgsql/MD5.cs,
	  Npgsql/NpgsqlConnectorPool.cs, Npgsql/NpgsqlStartupState.cs,
	  Npgsql/NpgsqlParameter.cs, Npgsql/NpgsqlResultSet.cs,
	  Npgsql/NpgsqlBind.cs, Npgsql/NpgsqlClosedState.cs,
	  Npgsql/MD5CryptoServiceProvider.cs,
	  Npgsql/NpgsqlStartupPacket.cs, Npgsql/NpgsqlCommandBuilder.cs,
	  Npgsql/NpgsqlDescribe.cs, Npgsql/NpgsqlRowDescription.cs,
	  Npgsql/NpgsqlQuery.cs, Npgsql/NpgsqlState.cs,
	  Npgsql/NpgsqlTransaction.cs, Npgsql/HashAlgorithm.cs,
	  Npgsql/NpgsqlBackEndKeyData.cs, Npgsql/NpgsqlBinaryRow.cs,
	  Npgsql/NpgsqlAsciiRow.cs, Npgsql/NpgsqlRow.cs,
	  Npgsql/NpgsqlParameterStatus.cs, Npgsql/NpgsqlFlush.cs,
	  Npgsql/NpgsqlParameterCollection.cs, Npgsql/NpgsqlException.cs,
	  Npgsql/NpgsqlMediator.cs, Npgsql/NpgsqlConnectedState.cs,
	  Npgsql/NpgsqlMessageTypes.cs, Npgsql/NpgsqlConnection.cs,
	  Npgsql/NpgsqlExecute.cs, Npgsql/PGUtil.cs,
	  Npgsql/AssemblyInfo.cs, Npgsql/NpgsqlConnector.cs,
	  Npgsql/NpgsqlPasswordPacket.cs, Npgsql/NpgsqlEventLog.cs,
	  Npgsql/NpgsqlReadyState.cs, Npgsql/NpgsqlError.cs,
	  Npgsql/NpgsqlDataReader.cs, Npgsql/NpgsqlSync.cs,
	  Npgsql/NpgsqlConnectionString.cs,
	  Npgsql/NpgsqlNotificationEventArgs.cs,
	  NpgsqlTypes/NpgsqlDbType.cs, NpgsqlTypes/LargeObject.cs,
	  NpgsqlTypes/LargeObjectManager.cs, NpgsqlTypes/FastPathArg.cs,
	  NpgsqlTypes/NpgsqlTypesHelper.cs,
	  NpgsqlTypes/NpgsqlTypeConverters.cs, NpgsqlTypes/FastPath.cs,
	  NpgsqlTypes/NpgsqlTypes.cs: Initial revision

